<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: create_music_subcat.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!checkrights("MMS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

$mus_cat_id = isset($_REQUEST['mus_cat_id']) ? $_REQUEST['mus_cat_id'] : "";
$mus_cat_access = isset($_REQUEST['mus_cat_access']) ? $_REQUEST['mus_cat_access'] : "";

add_to_title(" | ".$locale['mms_000']."");

if (isset($_POST['save_music_subcat'])) {
	$mus_cat_title = stripinput($_POST['mus_cat_title']);
	$mus_cat_desc = stripinput($_POST['mus_cat_desc']);
	$mus_cat_img = stripinput($_POST['mus_cat_img']);
	$mus_cat_access = isNum($_POST['mus_cat_access']) ? $_POST['mus_cat_access'] : "0";
	$mus_cat_status = isnum($_POST['mus_cat_status']);
	$result = dbquery("SELECT mus_cat_id FROM ".DB_MM_MUSIC_CATS." WHERE mus_cat_title='$mus_cat_title' AND mus_parentid='$mus_cat_id'");
// Check for duplicates
	$numrows = dbrows($result);
	if ($numrows>0) {
opentable($locale['mms_030']);
echo "<table width='100%' cellspacing='1' cellpadding='3' border='0'><tr>\n";
echo "<td colspan='2' align='right'><a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023']."</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'><font color='#ff0000'><strong>".$locale['mms_031']."</strong></font><br />".$locale['mms_032']."<strong>".$mus_cat_title."</strong>".$locale['mms_033']."</td>\n";
echo "</tr></table>";
	closetable();
// Check if Title exist
} elseif ($mus_cat_title=="") {
	opentable($locale['mms_030']);
echo "<table width='100%' cellspacing='2' cellpadding='3' border='0'><tr>\n";
echo "<td colspan='2' align='right'><a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023']."</a></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'></td>\n";
echo "</tr><tr>\n";
echo "<td colsapn='2' class='small'><font color='#ff0000'><strong>".$locale['mms_034']."</strong></font>".$locale['mms_035']."</td>\n";
echo "</tr></table>";
	closetable();
} else {
	$result_title = dbquery("SELECT mus_cat_title, mus_cat_subs FROM ".DB_MM_MUSIC_CATS." WHERE mus_cat_id='".$_POST['mus_cat_id']."' AND mus_parentid='0'");
	$data = dbarray($result_title);
	$mus_cat_subs = $data['mus_cat_subs'];
	$mus_parent_title = $data['mus_cat_title'];

$result = dbquery("INSERT INTO ".DB_MM_MUSIC_CATS." (mus_cat_id, mus_cat_title, mus_cat_desc, mus_cat_user, mus_cat_img, mus_cat_access, mus_parentid, mus_parent_title, mus_cat_datestamp, mus_cat_status) VALUES ('', '$mus_cat_title', '$mus_cat_desc', '".$userdata['user_id']."', '$mus_cat_img', '$mus_cat_access', '$mus_cat_id', '$mus_parent_title', '".time()."', '$mus_cat_status')");

if ($mus_cat_subs == '0') {
	$result1 = dbquery("UPDATE ".DB_MM_MUSIC_CATS." SET mus_cat_subs='1' WHERE mus_cat_title='$mus_parent_title' AND mus_parentid='0'");
}
	opentable($locale['mms_003']);
echo "<table width='100%' border='0' class='tbl'><tr>\n";
echo "<td align='center'>".$locale['mms_058']."<br /><br /><br /><a href='".INFUSIONS."multimedia_studio/admin/music_studio_admin.php".$aidlink."'>".$locale['mms_094']."</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023']."</a></td>\n";
echo "</tr></table>\n";
	closetable();
	}
}
// Create Sub-Album
opentable($locale['mms_003']);

	echo "<table align='center' border='0' width='100%'><tr>\n";
	echo "<td style='text-align: center;'><strong>".$locale['mms_012']."</strong><br /><br /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align: center;'><div align='center'>".$locale['mms_099']."</div><br /><br /></td>\n";
	echo "</tr></table>\n";
$access_opts = ""; $sel = "";
$user_groups = getusergroups();
while(list($key, $user_group) = each($user_groups)){
	$sel = ($mus_cat_access == $user_group['0'] ? " selected" : "");
	$access_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
}
echo "<table align='center' width='80%' class='tbl2'>\n";
echo "<form name='selectmusiccat' method='post' action='".FUSION_SELF.$aidlink."' onsubmit='return validateform(this)'><tr>\n";
echo "<td valign='top'><strong>".$locale['mms_038']."</strong></td>\n";
echo "<td><input class='textbox' type='text' name='mus_cat_title' size='39' maxlength='100' /><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['mms_039']."</strong></td>\n";
echo "<td><textarea cols='40' rows='4' name='mus_cat_desc'></textarea><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['mms_040']."</strong></td>\n";
echo "<td valign='top'>";
buildImageBox('mus_cat_img','');
echo "<br />".$locale['mms_703']."<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['mms_704']."</strong></td>\n";
echo "<td><select name='mus_cat_access' class='textbox' style='width:150px;'>$access_opts</select><br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['mms_054']."</strong></td>\n";
echo "<td><select class='textbox' name='mus_cat_id'>";
	$result = dbquery("SELECT mus_cat_id, mus_cat_title FROM ".DB_MM_MUSIC_CATS." WHERE mus_parentid=0 ORDER BY mus_cat_title");
		while(list($mus_cat_id,$mus_cat_title) = dbarraynum($result)) {
	echo "<option value='".$mus_cat_id."'>$mus_cat_title</option>";
	}
echo "</select>\n";
echo "<br /><br /></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><strong>".$locale['mms_041']."</strong></td>\n";
echo "<td><input type='radio' name='mus_cat_status' value='0' />".$locale['mms_042']."&nbsp;&nbsp;&nbsp;<input type='radio' name='mus_cat_status' value='1' checked />".$locale['mms_043']."</td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2' align='center'><br /><br /><input class='button' type='submit' name='save_music_subcat' value='".$locale['mms_044']."' /></td>\n";
echo "</tr></form></table>\n";
echo "<table align='center' border='0' width='80%'><tr>\n";
echo "<td colspan='2' height='21' class='hline'></td>\n";
echo "</tr><tr>\n";
echo "<td width='50%' align='left'><a href='".INFUSIONS."multimedia_studio/admin/music_studio_admin.php".$aidlink."'>".$locale['mms_094']."</a></td>\n";
echo "<td width='50%' align='right'><a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023']."</a></td>\n";
echo "</tr></table>\n";
closetable();
	echo "<script language=\"javascript\">
function validateform(frm) {
	if(frm.mus_cat_title.value=='') {
		alert('".$locale['mms_045']."');
		return false;
	}
}
</script>\n";
require_once THEMES."templates/footer.php";
?>