<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: reports_music_admin.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!checkrights("MMS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }
add_to_title(" | ".$locale['mms_000']."");
$rpt_id = isset($_REQUEST['rpt_id']) ? $_REQUEST['rpt_id'] : "";
$rpt_mus_user = isset($_REQUEST['rpt_mus_user']) ? $_REQUEST['rpt_mus_user'] : "";
$rpt_mus_user_id = isset($_REQUEST['rpt_mus_user_id']) ? $_REQUEST['rpt_mus_user_id'] : "";
global $db_prefix, $locale, $settings, $rpt_id, $rpt_mus_user, $rpt_mus_user_id;

$result = dbquery("SELECT * FROM ".DB_MM_MUSIC_REPORTS."");
if (dbrows($result)) {

opentable($locale['mms_124']);

echo "<table align='center' width='90%' border='0' cellspacing='3' cellpadding='3'><tr>\n";
echo "<td align='center'><strong><span class='tbl2'>&nbsp;".$locale['mms_125a']."&nbsp;</span></strong></td>\n";
echo "</tr><tr>\n";
echo "<td class='hline'></td></tr>\n";
	$editlist = ""; $sel = "";
	$result = dbquery("SELECT rpt_id, rpt_mus_id, rpt_mus_title, rpt_mus_artist, rpt_mus_poster, rpt_mus_user, rpt_mus_user_id, rpt_mus_report, rpt_type, rpt_datestamp FROM ".DB_MM_MUSIC_REPORTS." ORDER BY rpt_mus_user_id DESC");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
		$m_title = $data['rpt_mus_title'];
		if ($data['rpt_type'] =='1') { $type = $locale['mms_128']; }
		if ($data['rpt_type'] =='2') { $type = $locale['mms_129']; }
                	if (isset($_POST['rpt_id']) && isnum($_POST['rpt_id'])) {
			      $sel = ($_POST['rpt_id'] == $data['rpt_id'] ? " selected" : "");
			}
			$editlist .= "<option value='".$data['rpt_id']."'$sel>".$type."".$m_title." - ".$locale['mms_131a']."".$data['rpt_mus_user']."</option>\n";
		}
	}
echo "<tr><td style='text-align:center;'>\n";
echo "<div style='text-align:center'><form name='selectreport' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "".$locale['mms_064a']."<select name='rpt_id' class='textbox' style='width:500px;'>\n".$editlist."</select>\n";
echo "<input type='hidden' name='rpt_mus_user' value='".$data['rpt_mus_user']."' />\n";
echo "<input type='hidden' name='rpt_mus_user_id' value='".$data['rpt_mus_user_id']."' />\n";
echo "<input class='button' type='submit' name='display' value='".$locale['mms_065a']."'><br /><br />\n";
echo "</form></td>\n";
echo "</tr></table>\n";
if (isset($_POST['display']) && (isset($_POST['rpt_id']) && isnum($_POST['rpt_id']))) {
	$result1 = dbquery("SELECT rpt_mus_user, rpt_mus_user_id FROM ".DB_MM_MUSIC_REPORTS." WHERE rpt_id='".$_POST['rpt_id']."'");
	if (dbrows($result1) != 0) {
		while ($data = dbarray($result1)) {
	$rpt_mus_user = $data['rpt_mus_user'];
	$rpt_mus_user_id = $data['rpt_mus_user_id'];
	}
}
echo "<table align='center' width='90%' border='0' cellspacing='10' cellpadding='5'><tr>\n";
echo "<td>\n";
	$result = dbquery("SELECT rpt_id, rpt_mus_id, rpt_mus_title, rpt_mus_artist, rpt_mus_poster, rpt_mus_user, rpt_mus_user_id, rpt_mus_report, rpt_type, rpt_mus_date, rpt_datestamp FROM ".DB_MM_MUSIC_REPORTS." WHERE rpt_id='".$_POST['rpt_id']."'");
	while(list($rpt_id, $rpt_mus_id, $rpt_mus_title, $rpt_mus_artist, $rpt_mus_poster, $rpt_mus_user, $rpt_mus_user_id, $rpt_mus_report, $rpt_type, $rpt_mus_date, $rpt_datestamp)=dbarraynum($result)) {

echo "<table align='center' cellpadding='2' border='0' width='90%' cellspacing='0' class='media-tbl'>\n";
echo "<tr class='tbl2'>\n";
echo "<td><strong>$rpt_mus_title</strong></td>\n";
echo "<td align='right'><strong>".$locale['mms_702'] ."$rpt_mus_poster</strong></td>\n";
echo "</tr><tr>\n";
echo "<td colspan='2'>".$locale['mms_701'].showdate("shortdate", $rpt_mus_date)."</td>\n";
echo "</tr><tr>\n";
if ($rpt_type =='1') {
echo "<td colspan='2' style='text-align:center;'>".$locale['mms_121b'] ."<br /><br /><table align='center' width='350'><tr><td width='100%'><div style='text-align:left;' class='desc-txt'>";
		echo nl2br(parseubb($rpt_mus_report, "b|i|u|center|small|url|mail|img|quote|color"));
echo "</div></td></tr></table></td>\n";
} else {
echo "<td colspan='2' style='text-align:center;'>".$locale['mms_122b'] ."<br /><br /><table align='center' width='350'><tr><td width='100%'><div style='text-align:left;' class='desc-txt'>";
		echo nl2br(parseubb($rpt_mus_report, "b|i|u|center|small|url|mail|img|quote|color"));
echo "</div></td></tr></table></td>\n";
}
echo "</tr><tr>\n";
echo "<td colspan='2' align='center'>&nbsp;</td>\n";
echo "</tr><tr class='tbl2'>\n";
echo "<td><strong>".$locale['mms_131'].showdate("shortdate", $rpt_datestamp)."</strong></td>\n";
echo "<td align='right'><strong>".$locale['mms_131a']."$rpt_mus_user</strong></td>\n";
echo "</tr>\n</table><br /><br />\n";
echo"</td></tr><tr>\n";
echo"<td align='center'><a class='button' href='".INFUSIONS."multimedia_studio/delete_music_reports.php?rpt_id=$rpt_id'>&nbsp;".$locale['mms_133']."&nbsp;</a></td>\n";
echo"</tr></table>\n";
	}
}
echo "<table align='center' width='90%' border='0' cellspacing='2' cellpadding='3'><tr>\n";
echo "<td class='hline'></td></tr><tr>\n";
echo "<td style='text-align:center;'><a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023'] ."</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/admin/studio_reports_admin.php".$aidlink."'>".$locale['mms_097a']."</a></td>\n";
echo "</tr></table>\n";
closetable();
} else {
opentable($locale['mms_124']);
	echo "<br /><br /><div align='center'><b>".$locale['mms_130'] ."</b></div><br /><br />\n";
	echo "<div align='center'><a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023'] ."</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/admin/studio_reports_admin.php".$aidlink."'>".$locale['mms_097a']."</a></div><br /><br />\n";
closetable();
}
require_once THEMES."templates/footer.php";
?>