<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: studio_main_admin.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agplv3.htm. Removal of this
| copyright header is strictly prohibited without
| written permission FROM the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."multimedia_studio/infusion_db.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
include INFUSIONS."multimedia_studio/include/functions_include.php";
if (!checkrights("MMS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../../index.php"); }

if (isset($_POST['update_settings'])) {
	$current_set = dbquery("SELECT music_txt, photo_txt, video_txt, music_rpt, photo_rpt, video_rpt, music_uploads, photo_uploads, video_uploads, sho_mus, sho_pic, sho_vid, sho_ytv FROM ".DB_MM_STUDIO_SETTINGS."");
	$data = dbarray($current_set);

if (isset($_POST['music_txt'])) {
		$music_txt = stripinput($_POST['music_txt']);
	} else {
		$music_txt = $data['music_txt'];
	}
if (isset($_POST['photo_txt'])) {
		$photo_txt = stripinput($_POST['photo_txt']);
	} else {
		$photo_txt = $data['photo_txt'];
	}
if (isset($_POST['video_txt'])) {
		$video_txt = stripinput($_POST['video_txt']);
	} else {
		$video_txt = $data['video_txt'];
	}
if (isset($_POST['music_rpt'])) {
		$music_rpt = stripinput($_POST['music_rpt']);
	} else {
		$music_rpt = $data['music_rpt'];
	}
if (isset($_POST['photo_rpt'])) {
		$photo_rpt = stripinput($_POST['photo_rpt']);
	} else {
		$photo_rpt = $data['photo_rpt'];
	}
if (isset($_POST['video_rpt'])) {
		$video_rpt = stripinput($_POST['video_rpt']);
	} else {
		$video_rpt = $data['video_rpt'];
	}
if (isset($_POST['music_uploads'])) {
		$music_uploads = stripinput($_POST['music_uploads']);
	} else {
		$music_uploads = $data['music_uploads'];
	}
if (isset($_POST['photo_uploads'])) {
		$photo_uploads = stripinput($_POST['photo_uploads']);
	} else {
		$photo_uploads = $data['photo_uploads'];
	}
if (isset($_POST['video_uploads'])) {
		$video_uploads = stripinput($_POST['video_uploads']);
	} else {
		$video_uploads = $data['video_uploads'];
	}
if (isset($_POST['sho_mus'])) {
		$sho_mus = stripinput($_POST['sho_mus']);
	} else {
		$sho_mus = $data['sho_mus'];
	}
if (isset($_POST['sho_pic'])) {
		$sho_pic = stripinput($_POST['sho_pic']);
	} else {
		$sho_pic = $data['sho_pic'];
	}
if (isset($_POST['sho_vid'])) {
		$sho_vid = stripinput($_POST['sho_vid']);
	} else {
		$sho_vid = $data['sho_vid'];
	}
if (isset($_POST['sho_ytv'])) {
		$sho_ytv = stripinput($_POST['sho_ytv']);
	} else {
		$sho_ytv = $data['sho_ytv'];
}

	$result = dbquery("UPDATE ".DB_MM_STUDIO_SETTINGS." SET music_txt='$music_txt', photo_txt='$photo_txt', video_txt='$video_txt', music_rpt='$music_rpt', photo_rpt='$photo_rpt', video_rpt='$video_rpt', music_uploads='$music_uploads', photo_uploads='$photo_uploads', video_uploads='$video_uploads', sho_mus='$sho_mus', sho_pic='$sho_pic', sho_vid='$sho_vid', sho_ytv='$sho_ytv'");

opentable($locale['mms_084']);
echo "<div style='text-align:center;'><br /><br /><span class='tbl2'><strong>&nbsp;".$locale['mms_085']."&nbsp;</strong></span></div><br /><br /><br />\n";
echo "<div style='text-align:center;'><a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023']."</a></div><br /><br />\n";
closetable();
require_once THEMES."templates/footer.php";
} else {

opentable($locale['mms_000a']);
echo "<br /><br />";

	$result=dbquery("SELECT * FROM ".DB_MM_STUDIO_SETTINGS." ");
	$my_data = dbarray($result);

echo "<form name='change_settings' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table align='center' border='0' cellspacing='2' cellpadding='5'><tr>\n";
echo "<td align='center' colspan='3' class='tbl2'><strong>".$locale['mms_074']."</strong></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><table width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_075']."</strong><br />".$locale['mms_098']."".$my_data['music_txt']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_txt' value='150' />".$locale['mms_079']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_txt' value='250' />".$locale['mms_079a']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_txt' value='500' />".$locale['mms_080']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_txt' value='1000' />".$locale['mms_081']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_txt' value='1500' />".$locale['mms_082']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_txt' value='2000' />".$locale['mms_083']."</td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_077']."</strong><br />".$locale['mms_098']."".$my_data['photo_txt']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_txt' value='150' />".$locale['mms_079']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_txt' value='250' />".$locale['mms_079a']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_txt' value='500' />".$locale['mms_080']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_txt' value='1000' />".$locale['mms_081']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_txt' value='1500' />".$locale['mms_082']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_txt' value='2000' />".$locale['mms_083']."</td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_076']."</strong><br />".$locale['mms_098']."".$my_data['video_txt']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_txt' value='150' />".$locale['mms_079']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_txt' value='250' />".$locale['mms_079a']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_txt' value='500' />".$locale['mms_080']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_txt' value='1000' />".$locale['mms_081']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_txt' value='1500' />".$locale['mms_082']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_txt' value='2000' />".$locale['mms_083']."</td>\n";
echo "</tr></table>\n";
echo "<br /><br /></td></tr><tr>\n";
echo "<td align='center' colspan='3' class='tbl2'><strong>".$locale['mms_074a']."</strong></td>\n";
echo "</tr><tr>\n";
echo "<td valign='top'><table width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_075a']."</strong><br />".$locale['mms_098']."".$my_data['music_rpt']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_rpt' value='150' />".$locale['mms_079']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_rpt' value='250' />".$locale['mms_079a']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_rpt' value='500' />".$locale['mms_080']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_rpt' value='1000' />".$locale['mms_081']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_rpt' value='1500' />".$locale['mms_082']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='music_rpt' value='2000' />".$locale['mms_083']."</td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_077a']."</strong><br />".$locale['mms_098']."".$my_data['photo_rpt']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_rpt' value='150' />".$locale['mms_079']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_rpt' value='250' />".$locale['mms_079a']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_rpt' value='500' />".$locale['mms_080']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_rpt' value='1000' />".$locale['mms_081']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_rpt' value='1500' />".$locale['mms_082']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='photo_rpt' value='2000' />".$locale['mms_083']."</td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_076a']."</strong><br />".$locale['mms_098']."".$my_data['video_rpt']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_rpt' value='150' />".$locale['mms_079']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_rpt' value='250' />".$locale['mms_079a']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_rpt' value='500' />".$locale['mms_080']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_rpt' value='1000' />".$locale['mms_081']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_rpt' value='1500' />".$locale['mms_082']."</td>\n";
echo "</tr><tr>\n";
echo "<td><input type='radio' name='video_rpt' value='2000' />".$locale['mms_083']."</td>\n";
echo "</tr></table>\n";
echo "<br /><br /></td></tr><tr>\n";
echo "<td colspan='3' align='center' class='tbl2'><strong>".$locale['mms_022']."</strong></td></tr><tr>\n";
echo "<td valign='top'><table align='center' width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'>".$locale['mms_098']."".$my_data['music_uploads']."</td>\n";
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_118']."&nbsp;&nbsp;<input class='textbox' type='text' name='music_uploads' value='".$my_data['music_uploads']."' size='3' maxlength='3' /></td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table align='center' width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'>".$locale['mms_098']."".$my_data['video_uploads']."</td>\n";
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_119']."&nbsp;&nbsp;<input class='textbox' type='text' name='video_uploads' value='".$my_data['video_uploads']."' size='3' maxlength='3' /></td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table align='center' width='170' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'>".$locale['mms_098']."".$my_data['photo_uploads']."</td>\n";
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_120']."&nbsp;&nbsp;<input class='textbox' type='text' name='photo_uploads' value='".$my_data['photo_uploads']."' size='3' maxlength='3' /></td>\n";
echo "</tr></table>\n";
echo "</td></tr></table><br /><br />\n";
echo "<table align='center' border='0' cellspacing='2' cellpadding='5'><tr>\n";
echo "<td colspan='4' align='center' class='tbl2'><strong>".$locale['mms_137']."</strong></td></tr><tr>\n";
echo "</td><td valign='top'><table align='center' width='200' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_142']."</strong><br />".$locale['mms_098']."";
if ($my_data['sho_mus'] == "1") { echo $locale['mms_134']."</td>\n";
} else { echo $locale['mms_135']."</td>\n"; }
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_142a']."".$locale['mms_134']."<input type='radio' name='sho_mus' value='1' />&nbsp;&nbsp;".$locale['mms_135']."<input type='radio' name='sho_mus' value='0' /></td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table align='center' width='200' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_143']."</strong><br />".$locale['mms_098']."";
if ($my_data['sho_pic'] == "1") { echo $locale['mms_134']."</td>\n";
} else { echo $locale['mms_135']."</td>\n"; }
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_143a']."".$locale['mms_134']."<input type='radio' name='sho_pic' value='1' />&nbsp;&nbsp;".$locale['mms_135']."<input type='radio' name='sho_pic' value='0' /></td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table align='center' width='200' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_144']."</strong><br />".$locale['mms_098']."";
if ($my_data['sho_vid'] == "1") { echo $locale['mms_134']."</td>\n";
} else { echo $locale['mms_135']."</td>\n"; }
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_144a']."".$locale['mms_134']."<input type='radio' name='sho_vid' value='1' />&nbsp;&nbsp;".$locale['mms_135']."<input type='radio' name='sho_vid' value='0' /></td>\n";
echo "</tr></table>\n";
echo "</td><td valign='top'><table align='center' width='200' class='media-tbl'><tr>\n";
echo "<td align='center' class='tbl2'><strong>".$locale['mms_145']."</strong><br />".$locale['mms_098']."";
if ($my_data['sho_ytv'] == "1") { echo $locale['mms_134']."</td>\n";
} else { echo $locale['mms_135']."</td>\n"; }
echo "</tr><tr>\n";
echo "<td align='center' width='100%'>".$locale['mms_145a']."".$locale['mms_134']."<input type='radio' name='sho_ytv' value='1' />&nbsp;&nbsp;".$locale['mms_135']."<input type='radio' name='sho_ytv' value='0' /></td>\n";
echo "</tr></table>\n";
echo "</td></tr><tr>\n";
echo "<td align='center' colspan='4'><br /><br /><input class='button' type='submit' name='update_settings' value='".$locale['mms_078']."' /><br /><br /><br />\n";
echo "<a href='".INFUSIONS."multimedia_studio/admin/multimedia_admin_menu.php".$aidlink."'>".$locale['mms_023']."</a>\n";
echo "<br /><br /></td></tr></table></form>\n";
closetable();
}

require_once THEMES."templates/footer.php";
?>