<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: music_gallery.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
global $db_prefix, $locale, $settings;
$error="";

if (isset($mus_id) && !isNum($mus_id)) redirect(FUSION_SELF);
if (isset($mus_cat_id) && !isNum($mus_cat_id)) redirect(FUSION_SELF);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if (isset($_GET['mus_id']) && isnum($_GET['mus_id'])){

	$result = dbquery(
		"SELECT tp.*, ta.*, tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_MM_MUSIC." tp
		LEFT JOIN ".DB_MM_MUSIC_CATS." ta USING (mus_cat_id)
		LEFT JOIN ".DB_USERS." tu ON tp.mus_user_id = tu.user_id AND tp.mus_user = tu.user_name
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.mus_id AND tr.rating_type='H'
		WHERE mus_id='".$_GET['mus_id']."' GROUP BY tp.mus_id");

	$data = dbarray($result);
	if (!checkgroup($data['mus_cat_access'])) {
		redirect(FUSION_SELF);
	} else {
		$sub_title = getparentlink_M($data['mus_parentid'],$data['mus_cat_title'],$data['mus_cat_id']);
		include INCLUDES."comments_include.php";
		include INCLUDES."ratings_include.php";
		$result=dbquery("UPDATE ".DB_MM_MUSIC." SET mus_views=(mus_views+1) WHERE mus_id='".$_GET['mus_id']."'");

		$pres = dbquery("SELECT mus_id FROM ".DB_MM_MUSIC." WHERE mus_order='".($data['mus_order']-1)."' AND mus_cat_id='".$data['mus_cat_id']."'");
		$nres = dbquery("SELECT mus_id FROM ".DB_MM_MUSIC." WHERE mus_order='".($data['mus_order']+1)."' AND mus_cat_id='".$data['mus_cat_id']."'");
		if (dbrows($pres)) $prev = dbarray($pres);
		if (dbrows($nres)) $next = dbarray($nres);

add_to_title($locale['global_201'].$data['mus_title']);
opentable($locale['mms_433']);

			$mus_id = $data['mus_id'];
			$mus_thmb1 = $data['mus_thmb1'];
			$mus_thmb2 = $data['mus_thmb2'];
			$mus_file = $data['mus_file'];
			$file_url = $settings['siteurl']."infusions/multimedia_studio/music/$mus_file";

		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td class='tbl2'>\n";
		if (iMEMBER) {
		echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> &gt;\n";
		echo "<a href='".INFUSIONS."multimedia_studio/music_studio.php'>".$locale['mms_424']."</a> &gt;\n";
}
		echo "<a href='".FUSION_SELF."?mus_cat_id=".$data['mus_cat_id']."'>".$sub_title."</a> &gt;\n";
		echo "<strong>".$data['mus_title']." - ".$data['mus_artist']."</strong>\n";
	if (iMEMBER) {
	if ($data['mus_user_id'] = $data['user_id'] && ($data['mus_user'] = $data['user_name'])) {
	echo "<span style='text-align:right;'>&nbsp;---&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/edit_music.php?mus_id=".$_GET['mus_id']."&mus_cat_id=".$data['mus_cat_id']."'>".$locale['mms_440']."</a></span></td>\n";
	}
}
		if ((isset($prev['mus_id']) && isnum($prev['mus_id'])) || (isset($next['mus_id']) && isnum($next['mus_id']))) {
	if (isset($prev)) { echo "<td width='2%' class='tbl2' valign='middle'><a href='".FUSION_SELF."?mus_id=".$prev['mus_id']."' title='".$locale['mms_434']."'><img src='images/left.png' width='10' height='10' border='0' alt='".$locale['mms_434']."' /></a></td>\n"; }
	if (isset($next)) { echo "<td width='2%' class='tbl2' valign='middle'><span style='font-size: 12px; font-weight: bold;'>".$locale['mms_071']."</span><nobr><a href='".FUSION_SELF."?mus_id=".$next['mus_id']."' title='".$locale['mms_435']."'><img src='images/right.png' width='10' height='10' border='0' alt='".$locale['mms_435']."' /></a></td>\n"; }
}
		echo "</tr>\n</table>\n";
		echo "<div align='center' style='margin:5px;'>\n";
echo "<table align='center' width='280' cellspacing='0' cellpadding='3' border='0'><tr>\n";
echo "<td align='center'><br />\n";
echo "<object classid='CLSID:6BF52A52-394A-11d3-B153-00C04F79FAA6' id='player' width='320' height='260'>
  <param name='url' value='$file_url' />
  <param name='src' value='$file_url' />
  <param name='showcontrols' value='true' />
  <param name='autostart' value='false' />
  <param name='volume' value='50' />
  <!--[if !IE]>-->
  <object type='video/x-ms-wmv' data='$file_url' width='320' height='60'>
  <param name='src' value='$file_url' />
  <param name='volume' value='50' />
  <param name='autostart' value='false' />
  <param name='controller' value='true' />
  </object>
  <!--<![endif]-->
</object>";
echo "<br /><br /></td></tr><tr>\n";
	if ($data['mus_desc']) {
		$mus_desc = stripslash($data['mus_desc']);
echo "<td style='text-align:center;' valign='top'><div style='text-align:left;' class='desc-txt'>";
		echo parseubb(parsesmileys($mus_desc), "b|i|u|center|small|url|mail|img|quote|color");
} else {
echo "<div style='text-align:left;' class='desc-txt'>".$locale['mms_087']."";
}
echo "</div><br /></td>\n";
echo "</tr></table>\n";

	echo "<table align='center' border='0'><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_426'].showdate("shortdate", $data['mus_datestamp'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_427'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	$mus_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='H' AND comment_item_id='".$data['mus_id']."'");
	echo ($mus_comments == 1 ? $locale['mms_429'] : $locale['mms_430']).$mus_comments."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_431'].($data['count_votes'] > 0 ? str_repeat("<img src='".get_image("star")."' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['mms_432'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_437'].$data['mus_views']."\n</td></tr></table>\n";
	echo "<table align='center' border='0' width='100%'><tr>\n";
if (iMEMBER) {
	echo "<td style='text-align:right;' valign='middle' class='tbl1' colspan='2' nowrap>".$locale['mms_132']."<a href ='".INFUSIONS."multimedia_studio/report_music.php?error=1&mus_id=".$data['mus_id']."' title='".$locale['mms_121']."' style='outline: none;border:none;'><img src='".INFUSIONS."multimedia_studio/images/error.png' alt='".$locale['mms_121']."' style='outline: none;border:none;'></a>
	<a href ='".INFUSIONS."multimedia_studio/report_music.php?error=2&mus_id=".$data['mus_id']."' title='".$locale['mms_122']."' style='outline: none;border:none;'><img src='".INFUSIONS."multimedia_studio/images/hack.png' alt='".$locale['mms_122']."' style='outline: none;border:none;'></a>
	</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='hline' colspan='2'>\n";
	echo "</tr><tr>\n";
}
	echo "<td style='text-align:left;' class='tbl2' colspan='2'>\n";
	share_this();
	echo "</td></tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_844']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='".$settings['siteurl']."infusions/multimedia_studio/music_gallery.php?mus_id=".$_GET['mus_id']."&mus_cat_id=".$data['mus_cat_id']."' class='textbox' style='font-size:9px; width:99%;' onclick='javascript:this.select();' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_845']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='[url=".$settings['siteurl']."infusions/multimedia_studio/music_gallery.php?mus_id=".$_GET['mus_id']."&mus_cat_id=".$data['mus_cat_id']."]".$data['mus_title']."[/url]' class='textbox'  style='font-size:9px; width:99%;' onclick='javascript:this.select();' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_846']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='<a href=\"".$settings['siteurl']."infusions/multimedia_studio/music_gallery.php?mus_id=".$_GET['mus_id']."&mus_cat_id=".$data['mus_cat_id']."\">".$data['mus_title']."</a>' class='textbox'   style='font-size:9px; width:99%;' onclick='javascript:this.select();' />\n";
	echo "</td></tr></table>\n";
closetable();
		if ($data['mus_allow_comments']) { showcomments("H", DB_MM_MUSIC, "mus_id", $_GET['mus_id'], FUSION_SELF."?mus_id=".$_GET['mus_id']); }
		if ($data['mus_allow_ratings']) { showratings("H", $_GET['mus_id'], FUSION_SELF."?mus_id=".$_GET['mus_id']); }
	}
} elseif (isset($_GET['mus_cat_id']) && isnum($_GET['mus_cat_id'])) {

	$result = dbquery(
		"SELECT ta.* FROM ".DB_MM_MUSIC_CATS." ta WHERE mus_cat_id='".$_GET['mus_cat_id']."'");
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['mus_cat_access'])) {
			redirect(FUSION_SELF);
		} else {
		$rows = dbcount("(mus_id)", DB_MM_MUSIC, "mus_cat_id='".$_GET['mus_cat_id']."'");
		$sub_title = getparentlink_GAL($data['mus_parentid'],$data['mus_cat_title'],$data['mus_cat_id']);
add_to_title($locale['global_201'].$data['mus_cat_title']);
opentable($locale['mms_417']);
	echo "<!--pre_album_info-->";
	echo "<table cellpadding='0' cellspacing='0' width='70%'>\n<tr>\n";
	echo "<td rowspan='4' align='center' class='my-null photogallery_album_thumb'><!--photogallery_album_thumb-->";
		if ($data['mus_cat_img'] && file_exists(INFUSIONS."multimedia_studio/images/cats/".$data['mus_cat_img'])) {
			echo "<img src='".INFUSIONS."multimedia_studio/images/cats/".$data['mus_cat_img']."' width='90' alt='".$data['mus_cat_img']."' /></td>\n";
		} else {
			echo "</td>\n";
		}
	echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['mms_054']."".$sub_title."</div>\n";
		if ($data['mus_cat_desc'] =="") {
	echo "<div class='tbl1' style='vertical-align:middle'>".$locale['mms_407']."".$locale['mms_407a']."</div>\n</td>\n</tr>\n";
	} else {
	echo "<div class='tbl1' style='vertical-align:middle'>".$locale['mms_407']."".nl2br(parseubb($data['mus_cat_desc']))."</div>\n</td>\n</tr>\n";
	}
	echo "<td valign='top' width='100%'><div class='tbl1' style='font-weight:normal;vertical-align:top'>\n";
	echo "".$locale['mms_439'].showdate("shortdate", $data['mus_cat_datestamp'])."</div></td></tr>\n";
	echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
	if ($rows) {
		$pdata = dbarray(dbquery("
			SELECT tp.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_MM_MUSIC." tp
			LEFT JOIN ".DB_USERS." tu ON tp.mus_user_id = tu.user_id AND tp.mus_user = tu.user_name
			WHERE mus_cat_id='".$_GET['mus_cat_id']."' ORDER BY mus_datestamp DESC LIMIT 1"));

	echo $locale['mms_419']."$rows<br />\n";
	echo $locale['mms_420'].profile_link($pdata['user_id'], $pdata['user_name'], $pdata['user_status']).$locale['mms_421'].showdate("longdate", $pdata['mus_datestamp'])."\n";
	} else {
		echo $locale['mms_422']."\n";
	echo "</div>\n</td>\n</tr>\n";
	echo "<tr>\n<td valign='bottom' width='100%' colspan='2'>\n<div class='tbl1' style='vertical-align:bottom'>\n";
	if (iMEMBER) {
	echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> ::\n";
	echo "<a href='".INFUSIONS."multimedia_studio/music_studio.php'>".$locale['mms_424']."</a>\n";
	}
}
echo "</div>\n</td>\n</tr>\n</table>";
closetable();
	if ($rows) {
opentable($locale['mms_423']);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

	$result = dbquery(
		"SELECT tp.*, tu.*, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_MM_MUSIC." tp
		LEFT JOIN ".DB_USERS." tu ON tp.mus_user_id = tu.user_id AND tp.mus_user = tu.user_name
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.mus_id AND tr.rating_type='H'
		WHERE mus_cat_id='".$_GET['mus_cat_id']."' GROUP BY mus_id ORDER BY mus_datestamp LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']);

	$counter = 0;
	echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl2'>\n";
	if (iMEMBER) {
	echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> &gt;\n";
	echo "<a href='".INFUSIONS."multimedia_studio/music_studio.php'>".$locale['mms_424']."</a> &gt;\n";
	}
	echo "<a href='".FUSION_SELF."?mus_cat_id=".$data['mus_cat_id']."'>".$sub_title."</a>\n";
	if (iMEMBER && ($data['mus_user'] = $userdata['user_name'])) {
	echo "<span style='text-align:right;'>&nbsp;---&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/my_music.php?mus_cat_id=".$data['mus_cat_id']."'>".$locale['mms_793']."</a></span>\n";
	}
echo "</td>\n</tr>\n</table>\n";

echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	while ($data = dbarray($result)) {
		if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n";
		}
		echo "<td align='center' valign='top' class='tbl'>\n";
		echo "<strong>".$data['mus_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?mus_id=".$data['mus_id']."'>";
		if ($data['mus_thmb1'] && file_exists(INFUSIONS."multimedia_studio/images/music/".$data['mus_thmb1'])) {
		echo "<img src='".INFUSIONS."multimedia_studio/images/music/".$data['mus_thmb1']."' alt='".$data['mus_thmb1']."' title='".$locale['mms_425']."' style='border:0px' />";
		} else {
			echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />";
		}
	echo "</a><br /><br />\n<span class='small'>\n";
	echo "<table align='center' border='0'><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_426'].showdate("shortdate", $data['mus_datestamp'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_427'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	$mus_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='H' AND comment_item_id='".$data['mus_id']."'");
	echo ($mus_comments == 1 ? $locale['mms_429'] : $locale['mms_430']).$mus_comments."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_431'].($data['count_votes'] > 0 ? str_repeat("<img src='".IMAGES."star.gif' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['mms_432'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_428'].$data['mus_views']."</td></tr></table></span><br />\n";
	echo "</td>\n";
	$counter++;
}
echo "</tr>\n</table>\n";
	if ($rows > $settings['thumbs_per_page']) { echo "<hr /><div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF."?mus_cat_id=".$_GET['mus_cat_id']."&amp;")."\n</div>\n"; }
closetable();
			}
		}
	}
} else {
opentable($locale['mms_424']);
	$rows = dbcount("(mus_cat_id)", DB_MM_MUSIC_CATS, groupaccess('mus_cat_access'));
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$result = dbquery(
			"SELECT ta.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_MM_MUSIC_CATS." ta
			LEFT JOIN ".DB_USERS." tu ON ta.mus_cat_user=tu.user_name
			WHERE ".groupaccess('mus_cat_access')." ORDER BY mus_cat_datestamp
			LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']);

		$counter = 0; $r = 0; $k = 1;
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n";
			}
			echo "<td align='center' valign='top' class='tbl'>\n";
			echo "<strong>".$data['mus_cat_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?mus_cat_id=".$data['mus_cat_id']."'>";
			if ($data['mus_thmb1'] && file_exists(INFUSIONS."multimedia_studio/music/".$data['mus_thmb1'])){
				echo "<img src='".INFUSIONS."multimedia_studio/images/music/".$data['mus_thmb1']."' alt='".$data['mus_thmb1']."' title='".$locale['mms_425']."' style='border:0px' />";
			} else {
				echo $locale['mms_418'];
			}
			echo "</a><br /><br />\n<span class='small'>\n";
			echo $locale['mms_426'].showdate("shortdate", $data['mus_datestamp'])."<br />\n";
			echo $locale['mms_427'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
			echo $locale['mms_428'].dbcount("(mus_id)", DB_MM_MUSIC, "mus_cat_id='".$data['mus_cat_id']."'")."</span><br />\n";
			echo "</td>\n";
			$counter++; $k++;
		}
echo "</tr>\n</table>\n";
closetable();
	if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3)."\n</div>\n"; }
	}else{
	echo "<div style='text-align:center'><br />".$locale['mms_438']."<br /><br /></div>\n";
closetable();
	}
}
require_once THEMES."templates/footer.php";
?>