<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: photo_gallery.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
add_to_head("<link rel='stylesheet' href='".INFUSIONS."multimedia_studio/include/colorbox/colorbox.css' type='text/css' media='screen' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."multimedia_studio/include/colorbox/jquery.colorbox.js'></script>");
add_to_head("<script language='javascript'>
	$(document).ready(function() {
	$(\"a[rel='galpic']\").colorbox({transition:\"none\", width:\"90%\", height:\"90%\"});
})
</script>");
global $settings;
$error="";

if (isset($photo_id) && !isNum($photo_id)) redirect(FUSION_SELF);
if (isset($photo_cat_id) && !isNum($photo_cat_id)) redirect(FUSION_SELF);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;

if (isset($_GET['photo_id']) && isnum($_GET['photo_id'])){

	$result = dbquery(
		"SELECT tp.*, ta.*, tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_MM_PHOTO." tp
		LEFT JOIN ".DB_MM_PHOTO_CATS." ta USING (photo_cat_id)
		LEFT JOIN ".DB_USERS." tu ON tp.photo_user_id = tu.user_id AND tp.photo_user = tu.user_name
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.photo_id AND tr.rating_type='K'
		WHERE photo_id='".$_GET['photo_id']."' GROUP BY tp.photo_id");

	$data = dbarray($result);
	if (!checkgroup($data['photo_cat_access'])) {
		redirect(FUSION_SELF);
	} else {
		$sub_title = getparentlink_P($data['photo_parentid'],$data['photo_cat_title'],$data['photo_cat_id']);
		include INCLUDES."comments_include.php";
		include INCLUDES."ratings_include.php";
		$result=dbquery("UPDATE ".DB_MM_PHOTO." SET photo_views=(photo_views+1) WHERE photo_id='".$_GET['photo_id']."'");

		$pres = dbquery("SELECT photo_id FROM ".DB_MM_PHOTO." WHERE photo_order='".($data['photo_order']-1)."' AND photo_cat_id='".$data['photo_cat_id']."'");
		$nres = dbquery("SELECT photo_id FROM ".DB_MM_PHOTO." WHERE photo_order='".($data['photo_order']+1)."' AND photo_cat_id='".$data['photo_cat_id']."'");
		if (dbrows($pres)) $prev = dbarray($pres);
		if (dbrows($nres)) $next = dbarray($nres);

add_to_title($locale['global_201'].$data['photo_title']);
opentable($locale['mms_533']);

			$photo_id = $data['photo_id'];
			$photo_img = $data['photo_img'];
			$photo_thmb1 = $data['photo_thmb1'];
			$photo_thmb2 = $data['photo_thmb2'];

		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td class='tbl2'>\n";
		if (iMEMBER) {
		echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> &gt;\n";
		echo "<a href='".INFUSIONS."multimedia_studio/photo_studio.php'>".$locale['mms_524']."</a> &gt;\n";
}
		echo "<a href='".FUSION_SELF."?photo_cat_id=".$data['photo_cat_id']."'>".$sub_title."</a> &gt;\n";
		echo "<strong>".$data['photo_title']." - ".$data['photo_artist']."</strong>\n";
	if (iMEMBER) {
	if ($data['photo_user_id'] == $data['user_id'] && ($data['photo_user'] == $data['user_name'])) {
	echo "<span style='text-align:right;'>&nbsp;---&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/edit_photos.php?photo_id=".$_GET['photo_id']."&photo_cat_id=".$data['photo_cat_id']."'>".$locale['mms_540']."</a></span></td>\n";
	}
}
		if ((isset($prev['photo_id']) && isnum($prev['photo_id'])) || (isset($next['photo_id']) && ISnUM($next['photo_id']))) {
	if (isset($prev)) { echo "<td width='2%' class='tbl2' valign='middle'><a href='".FUSION_SELF."?photo_id=".$prev['photo_id']."' title='".$locale['mms_534']."'><img src='images/left.png' width='10' height='10' border='0' alt='".$locale['mms_534']."' /></a></td>\n"; }
	if (isset($next)) { echo "<td width='2%' class='tbl2' valign='middle'><span style='font-size: 12px; font-weight: bold;'>".$locale['mms_071']."</span><nobr><a href='".FUSION_SELF."?photo_id=".$next['photo_id']."' title='".$locale['mms_535']."'><img src='images/right.png' width='10' height='10' border='0' alt='".$locale['mms_535']."' /></a></td>\n"; }
}
		echo "</tr>\n</table>\n";
		echo "<div align='center' style='margin:5px;'>\n";
echo "<table align='center' cellspacing='0' cellpadding='3' border='0'><tr>\n";
echo "<td align='center'><br /><br />";
if ($data['photo_thmb2'] && file_exists(INFUSIONS."multimedia_studio/images/photo/".$data['photo_thmb2'])){
echo "<a href='".INFUSIONS."multimedia_studio/images/photo/$photo_img' rel='galpic' title='".$data['photo_title']."'><img src='".INFUSIONS."multimedia_studio/images/photo/$photo_thmb2' style='border:0' /></a><br /><br />\n";
} else {
echo "<a href='".INFUSIONS."multimedia_studio/images/photo/$photo_img' rel='galpic' title='".$data['photo_title']."'><img src='".INFUSIONS."multimedia_studio/images/photo/$photo_thmb1' style='border:0' /></a><br /><br />\n";
}
echo "".$locale['mms_548']."<br /><br />\n";
echo "</td></tr>";
echo "<tr>\n";
echo "<td style='text-align:center;' valign='top'>\n";
	if ($data['photo_desc']) {
		$photo_desc = stripslash($data['photo_desc']);
echo "<div style='text-align:left;' class='desc-txt'>";
	echo parseubb(parsesmileys($photo_desc), "b|i|u|center|small|url|mail|img|quote|color");
} else {
echo "<div style='text-align:left;' class='desc-txt'>".$locale['mms_087']."";
}
echo "</div><br /></td>\n";
echo "</tr></table>\n";

	echo "<table align='center' border='0'><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_526'].showdate("shortdate", $data['photo_datestamp'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_527'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	$photo_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='K' AND comment_item_id='".$data['photo_id']."'");
	echo ($photo_comments == 1 ? $locale['mms_529'] : $locale['mms_530']).$photo_comments."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_531'].($data['count_votes'] > 0 ? str_repeat("<img src='".get_image("star")."' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['mms_532'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_537'].$data['photo_views']."\n</td></tr></table>\n";
	echo "<table align='center' border='0' width='100%'><tr>\n";
if (iMEMBER) {
	echo "<td style='text-align:right;' valign='middle' class='tbl1' colspan='2' nowrap>".$locale['mms_132']."<a href ='".INFUSIONS."multimedia_studio/report_photo.php?error=1&photo_id=".$data['photo_id']."' title='".$locale['mms_121']."' style='outline: none;border:none;'><img src='".INFUSIONS."multimedia_studio/images/error.png' alt='".$locale['mms_121']."' style='outline: none;border:none;'></a>
	<a href ='".INFUSIONS."multimedia_studio/report_photo.php?error=2&photo_id=".$data['photo_id']."' title='".$locale['mms_122']."' style='outline: none;border:none;'><img src='".INFUSIONS."multimedia_studio/images/hack.png' alt='".$locale['mms_122']."' style='outline: none;border:none;'></a>
	</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='hline' colspan='2'>\n";
	echo "</tr><tr>\n";
}
	echo "<td style='text-align:left;' class='tbl2' colspan='2'>\n";
	share_this();
	echo "</td></tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_844']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='".$settings['siteurl']."infusions/multimedia_studio/photo_gallery.php?photo_id=".$_GET['photo_id']."&photo_cat_id=".$data['photo_cat_id']."' class='textbox' style='font-size:9px;width:99%' onclick='javascript:this.select();' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_845']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='[url=".$settings['siteurl']."infusions/multimedia_studio/photo_gallery.php?photo_id=".$_GET['photo_id']."&photo_cat_id=".$data['photo_cat_id']."]".$data['photo_title']."[/url]' class='textbox'  style='font-size:9px;width:99%' onclick='javascript:this.select();' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_846']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='<a href=\"".$settings['siteurl']."infusions/multimedia_studio/photo_gallery.php?photo_id=".$_GET['photo_id']."&photo_cat_id=".$data['photo_cat_id']."\">".$data['photo_title']."</a>' class='textbox'   style='font-size:9px;width:99%' onclick='javascript:this.select();' />\n";
	echo "</td></tr></table>\n";
closetable();
		if ($data['photo_allow_comments']) { showcomments("K", DB_MM_PHOTO, "photo_id", $_GET['photo_id'], FUSION_SELF."?photo_id=".$_GET['photo_id']); }
		if ($data['photo_allow_ratings']) { showratings("K", $_GET['photo_id'], FUSION_SELF."?photo_id=".$_GET['photo_id']); }
	}
} elseif (isset($_GET['photo_cat_id']) && isnum($_GET['photo_cat_id'])) {

	$result = dbquery(
		"SELECT ta.* FROM ".DB_MM_PHOTO_CATS." ta WHERE photo_cat_id='".$_GET['photo_cat_id']."'");
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['photo_cat_access'])) {
			redirect(FUSION_SELF);
		} else {
		$rows = dbcount("(photo_id)", DB_MM_PHOTO, "photo_cat_id='".$_GET['photo_cat_id']."'");
		$sub_title = getparentlink_PHO($data['photo_parentid'],$data['photo_cat_title'],$data['photo_cat_id']);
add_to_title($locale['global_201'].$data['photo_cat_title']);
opentable($locale['mms_517']);
	echo "<!--pre_album_info-->";
	echo "<table cellpadding='0' cellspacing='0' width='70%'>\n<tr>\n";
	echo "<td rowspan='4' align='center' class='my-null photogallery_album_thumb'><!--photogallery_album_thumb-->";
		if ($data['photo_cat_img'] && file_exists(INFUSIONS."multimedia_studio/images/cats/".$data['photo_cat_img'])) {
			echo "<img src='".INFUSIONS."multimedia_studio/images/cats/".$data['photo_cat_img']."' width='90' alt='".$data['photo_cat_img']."' /></td>\n";
		} else {
			echo "</td>\n";
		}
	echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['mms_054']."".$sub_title."</div>\n";
		if ($data['photo_cat_desc'] =="") {
	echo "<div class='tbl1' style='vertical-align:middle'>".$locale['mms_507']."".$locale['mms_507a']."</div>\n</td>\n</tr>\n";
	} else {
	echo "<div class='tbl1' style='vertical-align:middle'>".$locale['mms_507']."".nl2br(parseubb($data['photo_cat_desc']))."</div>\n</td>\n</tr>\n";
	}
	echo "<td valign='top' width='100%'><div class='tbl1' style='font-weight:normal;vertical-align:top'>\n";
	echo $locale['mms_539'].showdate("shortdate", $data['photo_cat_datestamp'])."</div></td></tr>\n";
	echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
	if ($rows) {
		$pdata = dbarray(dbquery("
			SELECT tp.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_MM_PHOTO." tp
			LEFT JOIN ".DB_USERS." tu ON tp.photo_user=tu.user_name
			WHERE photo_cat_id='".$_GET['photo_cat_id']."' ORDER BY photo_datestamp DESC LIMIT 1"));

	echo $locale['mms_519']."$rows<br />\n";
	echo $locale['mms_520'].profile_link($pdata['user_id'], $pdata['user_name'], $pdata['user_status']).$locale['mms_521'].showdate("longdate", $pdata['photo_datestamp'])."\n";
	} else {
		echo $locale['mms_522']."\n";
	echo "</div>\n</td>\n</tr>\n";
	echo "<tr>\n<td valign='bottom' width='100%' colspan='2'>\n<div class='tbl1' style='vertical-align:bottom'>\n";
	if (iMEMBER) {
	echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> ::\n";
	echo "<a href='".INFUSIONS."multimedia_studio/photo_studio.php'>".$locale['mms_524']."</a>\n";
	}
}
echo "</div>\n</td>\n</tr>\n</table>";
closetable();
	if ($rows) {
opentable($locale['mms_523']);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$result = dbquery(
		"SELECT tp.*, tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_MM_PHOTO." tp
		LEFT JOIN ".DB_USERS." tu ON tp.photo_user_id = tu.user_id AND tp.photo_user = tu.user_name
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.photo_id AND tr.rating_type='K'
		WHERE photo_cat_id='".$_GET['photo_cat_id']."' GROUP BY photo_id ORDER BY photo_datestamp LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']);

	$counter = 0;
	echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl2'>\n";
	if (iMEMBER) {
	echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> &gt;\n";
	echo "<a href='".INFUSIONS."multimedia_studio/photo_studio.php'>".$locale['mms_524']."</a> &gt;\n";
	}
	echo "<a href='".FUSION_SELF."?photo_cat_id=".$data['photo_cat_id']."'>".$sub_title."</a>\n";
	if (iMEMBER && ($data['photo_user'] = $userdata['user_name'])) {
	echo "<span style='text-align:right;'>&nbsp;---&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/my_photos.php?photo_cat_id=$photo_cat_id'>".$locale['mms_794']."</a></span>\n";
	}
echo "</td>\n</tr>\n</table>\n";

echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	while ($data = dbarray($result)) {
		if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n";
		}
		echo "<td align='center' valign='top' class='tbl'>\n";
		echo "<strong>".$data['photo_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?photo_id=".$data['photo_id']."'>";
		if ($data['photo_thmb1'] && file_exists(INFUSIONS."multimedia_studio/images/photo/".$data['photo_thmb1'])) {
		echo "<img src='".INFUSIONS."multimedia_studio/images/photo/".$data['photo_thmb1']."' alt='".$data['photo_thmb1']."' title='".$locale['mms_525']."' style='border:0px' />";
		} else {
			echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />";
		}
	echo "</a><br /><br />\n<span class='small'>\n";
	echo "<table align='center' border='0'><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_526'].showdate("shortdate", $data['photo_datestamp'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_527'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	$photo_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='K' AND comment_item_id='".$data['photo_id']."'");
	echo ($photo_comments == 1 ? $locale['mms_529'] : $locale['mms_530']).$photo_comments."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_531'].($data['count_votes'] > 0 ? str_repeat("<img src='".IMAGES."star.gif' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['mms_532'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_528'].$data['photo_views']."</td></tr></table></span><br />\n";
	echo "</td>\n";
	$counter++;
}
echo "</tr>\n</table>\n";
	if ($rows > $settings['thumbs_per_page']) { echo "<hr /><div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF."?photo_cat_id=".$_GET['photo_cat_id']."&amp;")."\n</div>\n"; }
closetable();
			}
		}
	}
} else {
opentable($locale['mms_524']);
	$rows = dbcount("(photo_cat_id)", DB_MM_PHOTO_CATS, groupaccess('photo_cat_access'));
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$result = dbquery(
			"SELECT ta.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_MM_PHOTO_CATS." ta
			LEFT JOIN ".DB_USERS." tu ON ta.photo_cat_user=tu.user_name
			WHERE ".groupaccess('photo_cat_access')." ORDER BY photo_cat_datestamp
			LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']);

		$counter = 0; $r = 0; $k = 1;
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n";
			}
			echo "<td align='center' valign='top' class='tbl'>\n";
			echo "<strong>".$data['photo_cat_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?photo_cat_id=".$data['photo_cat_id']."'>";
			if ($data['photo_thmb1'] && file_exists(INFUSIONS."multimedia_studio/images/photo/".$data['photo_thmb1'])) {
				echo "<img src='".INFUSIONS."multimedia_studio/images/photo/".$data['photo_thmb1']."' alt='".$data['photo_thmb1']."' title='".$locale['mms_525']."' style='border:0px' />";
			} else {
				echo $locale['mms_518'];
			}
			echo "</a><br /><br />\n<span class='small'>\n";
			echo $locale['mms_526'].showdate("shortdate", $data['photo_datestamp'])."<br />\n";
			echo $locale['mms_527'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
			echo $locale['mms_528'].dbcount("(photo_id)", DB_MM_PHOTO, "photo_cat_id='".$data['photo_cat_id']."'")."</span><br />\n";
			echo "</td>\n";
			$counter++; $k++;
		}
echo "</tr>\n</table>\n";
closetable();
	if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3)."\n</div>\n"; }
	}else{
	echo "<div style='text-align:center'><br />".$locale['mms_538']."<br /><br /></div>\n";
closetable();
	}
}
require_once THEMES."templates/footer.php";
?>