<?php
session_start();
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: post_music.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agplv3.htm. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
include INCLUDES."photo_functions_include.php";

error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
if (!iMEMBER) { redirect("../../index.php"); }

global $locale, $db_prefix, $userdata, $settings, $music_txt, $cat, $mus_title, $mus_desc, $mus_user, $mus_user_id, $serror;
$serror = "";
$maxup = return_bytes(ini_get('post_max_size'));

opentable($locale['mms_400']);
if(isset($_POST['save_music'])) {
	$_SESSION['sr1'] = $_POST['cat'];
	$_SESSION['sr2'] = $_POST['mus_title'];
	$_SESSION['sr3'] = $_POST['mus_desc'];

	$cat = stripinput($_POST['cat']);
	$mus_title = stripinput($_POST['mus_title']);
	$mus_desc = stripinput($_POST['mus_desc']);
	$mus_artist = stripinput($_POST['mus_artist']);
	$mus_status = isset($_POST['music_status']) ? "1" : "0";
	$mus_allow_comments = isset($_POST['music_comments']) ? "1" : "0";
	$mus_allow_ratings = isset($_POST['music_ratings']) ? "1" : "0";

	// Check if Album exist
	if ($cat=="")
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
	// Check if Title exist
	if ($mus_title=="")
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
		$result = dbquery("SELECT music_txt FROM ".DB_MM_STUDIO_SETTINGS."");
		$data = dbarray($result);
		$music_txt = $data['music_txt'];
	// Check mus_text length
	if (strlen($mus_desc) > $music_txt)
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
	$result = dbquery("SELECT *, MAX(mus_order)+1 as last_order FROM ".DB_MM_MUSIC." WHERE mus_cat_id='".$_POST['cat']."' GROUP BY mus_cat_id");
	if (dbrows($result)) {
		$data = dbarray($result);
		$last_order = $data['last_order'];
	} else {
		$last_order = 1;
	}
// begin music file upload
require_once INCLUDES."infusions_include.php";
	$mus_file = "";
if (is_uploaded_file($_FILES['mus_file']['tmp_name'])) {
	$file_type = array(".wav",".mid",".midi",".wma",".mp3");
	$source_file = $_FILES['mus_file'];
	$music_file = str_replace(" ", "_", strtolower(substr($source_file['name'], 0, strrpos($source_file['name'], "."))));
	$file_ext = strtolower(strrchr($source_file['name'],"."));
	$target_dir = INFUSIONS.'multimedia_studio/music/';
		if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $music_file['name'])) {
		$serror = 1; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif ($source_file['size'] > $maxup){
		$serror = 2; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif (!in_array($file_ext, $file_type)) {
		$serror = 3; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	} else {
	$ran1 = rand (100, 999); $ran2 = rand(10000, 99999);
	$music_name = "mus".$ran1."_".$ran2;
		if(filename_exists($target_dir, $music_name)) {
		$music_name = "mus_".$ran1."_".$ran2; } else {
	$music_name = "mus".$ran1."_".$ran2; }
	$mus_file = filename_exists($target_dir, $music_name.$file_ext);
	move_uploaded_file($source_file['tmp_name'], $target_dir.$mus_file);
	}
}

// end music file upload
// begin music image upload

	$mus_img = ""; 
	$mus_thmb1 = ""; $mus_thmb2 = "";
if (is_uploaded_file($_FILES['mus_pic']['tmp_name'])) {
	$image_type = array(".gif",".jpg",".jpeg",".png");
	$source_file = $_FILES['mus_pic'];
	$image_file = str_replace(" ", "_", strtolower(substr($source_file['name'], 0, strrpos($source_file['name'], "."))));
	$img_ext = strtolower(strrchr($source_file['name'],"."));
	$target_dir = INFUSIONS.'multimedia_studio/images/music/';
		if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_file['name'])) {
		$serror = 1; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif ($source_file['size'] > $settings['photo_max_b']){
		$serror = 2; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif (!in_array($img_ext, $image_type)) {
		$serror = 3; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	} else {
	$ran1 = rand (100, 999); $ran2 = rand(10000, 99999);
	$img_name = "pic".$ran1."_".$ran2;
		if(image_exists($target_dir, $img_name)) {
		$img_name = "pic_".$ran1."_".$ran2; } else {
	$img_name = "pic".$ran1."_".$ran2; }
	$mus_img = image_exists($target_dir, $img_name.$img_ext);
	move_uploaded_file($source_file['tmp_name'], $target_dir.$mus_img);
	$imagefile = @getimagesize($target_dir.$mus_img);
		if ($imagefile[0] > $settings['photo_max_w'] || $imagefile[1] > $settings['photo_max_h']) {
			$serror = 4; $_SESSION['sr4'] = $serror;
			unlink($target_dir.$mus_img);
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} else {
	$mus_thmb1 = image_exists($target_dir, $img_name."_t1".$img_ext);
		if(image_exists($target_dir, $img_name."_t1".$img_ext)) {
		$mus_thmb1 = "pic_".$ran1."_".$ran2."_t1".$img_ext; } else {
	$mus_thmb1 = "pic".$ran1."_".$ran2."_t1".$img_ext; }
	createthumbnail($imagefile[2], $target_dir.$mus_img, $target_dir.$mus_thmb1, $settings['thumb_w'], $settings['thumb_h']);
			if ($imagefile[0] > $settings['photo_w'] || $imagefile[1] > $settings['photo_h']) {
				$mus_thmb2 = image_exists($target_dir, $img_name."_t2".$img_ext);
				createthumbnail($imagefile[2], $target_dir.$mus_img, $target_dir.$img_thmb2, $settings['photo_w'], $settings['photo_h']);
			}
		}
	}
}

// end music image upload

$result = dbquery("INSERT INTO ".DB_MM_MUSIC." VALUES('', '$cat', '$mus_title', '$mus_desc', '$mus_artist', '$mus_user', '$mus_user_id', '$mus_img', '$mus_thmb1', '$mus_thmb2', '$mus_file', '".time()."', '$mus_status', '', '$last_order', '$mus_allow_comments', '$mus_allow_ratings')");
	redirect(INFUSIONS."multimedia_studio/saved_music.php");
}
	echo "
	<table border='0' cellspacing='2' cellpadding='3' width='100%'>
	<tr><td>";
		menu_M();
	echo "
	</td></tr>
	<tr><td colspan='2'></td></tr>
	<tr><td class='small' colspan='2'><br /><br /></td></tr>";
	echo "<tr><td colspan='2'><hr /></td></tr>
	<tr><td colspan='2'><b>".$locale['mms_401']."</b></td></tr>
	<tr><td colspan='2'></td></tr>";
	if (iMEMBER)
	{
	$result=dbquery("SELECT * FROM ".DB_MM_MUSIC." WHERE mus_user_id = '".$userdata['user_id']."'");
	$num_rows = mysql_num_rows($result);
		$result1=dbquery("SELECT music_uploads FROM ".DB_MM_STUDIO_SETTINGS."");
		$data = dbarray($result1);
		$uploads = $data['music_uploads'];
	if ($num_rows == $uploads) {
		echo "<tr><td><div align='center'>".$locale['mms_904']."</div></td></tr>\n";
		echo "</table>\n";
		closetable();
		require_once THEMES."templates/footer.php";
		} else {
		echo "<tr><td>".$locale['mms_402']."<b>".$userdata['user_name']."</b>,".$locale['mms_403']."</td></tr>
		<tr><td></td></tr>
		<tr><td>
    			<table align='center'>
			<tr><td style='text-align: center;' colspan='2'><span class='tbl1'>&nbsp;".$locale['mms_404']."&nbsp;</span><br /><br /></td></tr>
			<tr><td colspan='2' class='hline'></td></tr>
			<form enctype='multipart/form-data' name='post_music' method='post' action='".FUSION_SELF."'>
			<tr><td>".$locale['mms_050']."</td>
			<td><select class='textbox' name='cat' style='width:293px;'>";
				echo "<option value=''>".$locale['mms_048']."</option>\n";
			$result = dbquery("SELECT mus_cat_id, mus_cat_title, mus_parentid FROM ".DB_MM_MUSIC_CATS." WHERE mus_cat_status='1' ORDER BY mus_parentid, mus_cat_title");
			while(list($mus_cat_id2, $mus_cat_title2, $mus_parentid2) = dbarraynum($result)) 
			{
				if ($mus_parentid2!=0) $mus_cat_title2=getparent_M($mus_parentid2,$mus_cat_title2);
				echo "<option value='$mus_cat_id2'>$mus_cat_title2</option>\n";
			}		
		echo "</select>
		</td></tr>";
			$result = dbquery("SELECT music_txt FROM ".DB_MM_STUDIO_SETTINGS."");
			$data = dbarray($result);
			$music_txt = $data['music_txt'];
		echo "<tr><td>".$locale['mms_405']."</td>
		<td><input class='textbox' type='text' name='mus_title' maxlength='200' style='width:290px;' /></td></tr>
		<tr><td>".$locale['mms_406']."</td>
		<td><input class='textbox' type='text' name='mus_artist' maxlength='200' style='width:290px;' /></td></tr>
   		<tr><td valign='top'>".$locale['mms_407']."</td>
		       <td><textarea class='textbox' name='mus_desc' cols='61' rows='6' wrap='hard'></textarea>\n";
			require_once INCLUDES."bbcode_include.php";
			echo display_bbcodes("350px", "mus_desc", "post_music", "smiley|b|i|u|center|small|url|mail|img|quote|color");
			echo "</td></tr>";
    			echo "<tr><td></td><td>".$locale['mms_408']."$music_txt".$locale['mms_409']."</td></tr>
    			<tr><td colspan='2' class='hline'></td></tr>";
			echo "<tr><td>".$locale['mms_411']."</td><td>
			<input id='mus_file' class='textbox' type='file' name='mus_file' maxlength='200' style='width:290px;' /></td></tr>";
			echo "<tr><td></td><td>".$locale['mms_515']."$maxup".$locale['mms_115']."<br />".$locale['mms_448']."<br /><br /></td></tr>";
			echo "<tr><td>".$locale['mms_040']."</td><td>
			<input id='mus_pic' class='textbox' type='file' name='mus_pic' maxlength='200' style='width:290px;' /></td></tr>";
			echo "<tr><td></td><td>".$locale['mms_070']."".$settings['photo_max_b']."".$locale['mms_115']."<br /></td></tr>";
			echo "<tr><td colspan='2' height='20'></td></tr>";
    			echo "<tr><td colspan='2' align='center'>
		<input type='hidden' name='mus_user' value='".$userdata['user_name']."' />
		<input type='hidden' name='mus_user_id' value='".$userdata['user_id']."' />
		<input type='hidden' name='music_status' value='1' />
		<input type='hidden' name='music_comments' value='1' />
		<input type='hidden' name='music_ratings' value='1' />
		<input class='button' type='submit' name='save_music' value='".$locale['mms_410']."' />
		</td></tr>
		</form>
		</table>
		</td></tr>";
		}
	} else {
		echo "
		<tr>
			<td>
			<p>".$locale['mms_414']."</td>
		</tr>";
	}
echo "</table>";
closetable();

require_once THEMES."templates/footer.php";
?>
