<?php
session_start();
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: upload_vimeo.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agplv3.htm. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
include INCLUDES."photo_functions_include.php";

error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
if (!iMEMBER) { redirect("../../index.php"); }

global $locale, $db_prefix, $userdata, $settings, $video_txt, $cat, $video_title, $video_desc, $video_user, $video_user_id, $serror;
$serror = "";

opentable($locale['mms_600']);
if(isset($_POST['save_video'])) {
	$_SESSION['sr1'] = $_POST['cat'];
	$_SESSION['sr2'] = $_POST['video_title'];
	$_SESSION['sr3'] = $_POST['video_desc'];

	$cat = stripinput($_POST['cat']);
	$video_title = stripinput($_POST['video_title']);
	$video_desc = stripinput($_POST['video_desc']);
	$video_artist = stripinput($_POST['video_artist']);
	$video_status = isset($_POST['video_status']) ? "1" : "0";
	$video_allow_comments = isset($_POST['video_comments']) ? "1" : "0";
	$video_allow_ratings = isset($_POST['video_ratings']) ? "1" : "0";

	// Check if Album exist
	if ($cat=="")
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
	// Check if Title exist
	if ($video_title=="")
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
		$result = dbquery("SELECT video_txt FROM ".DB_MM_STUDIO_SETTINGS."");
		$data = dbarray($result);
		$video_txt = $data['video_txt'];
	// Check video_text length
	if (strlen($video_desc) > $video_txt) 
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
	$result = dbquery("SELECT *, MAX(video_order)+1 as last_order FROM ".DB_MM_VIDEO." WHERE video_cat_id='".$_POST['cat']."' GROUP BY video_cat_id");
	if (dbrows($result)) {
		$data = dbarray($result);
		$last_order = $data['last_order'];
	} else {
		$last_order = 1;
	}
// begin video image upload
	$video_img = ""; 
	$video_thmb1 = ""; $video_thmb2 = "";
if (is_uploaded_file($_FILES['video_pic']['tmp_name'])) {
	$image_type = array(".gif",".jpg",".jpeg",".png");
	$source_file = $_FILES['video_pic'];
	$image_file = str_replace(" ", "_", strtolower(substr($source_file['name'], 0, strrpos($source_file['name'], "."))));
	$img_ext = strtolower(strrchr($source_file['name'],"."));
	$target_dir = INFUSIONS.'multimedia_studio/images/video/';
		if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_file['name'])) {
		$serror = 1; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif ($source_file['size'] > $settings['photo_max_b']){
		$serror = 2; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif (!in_array($img_ext, $image_type)) {
		$serror = 3; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	} else {
	$ran1 = rand (100, 999); $ran2 = rand(10000, 99999);
	$img_name = "pic".$ran1."_".$ran2;
		if(image_exists($target_dir, $img_name)) {
		$img_name = "pic_".$ran1."_".$ran2; } else {
	$img_name = "pic".$ran1."_".$ran2; }
	$video_img = image_exists($target_dir, $img_name.$img_ext);
	move_uploaded_file($source_file['tmp_name'], $target_dir.$video_img);
	$imagefile = @getimagesize($target_dir.$video_img);
		if ($imagefile[0] > $settings['photo_max_w'] || $imagefile[1] > $settings['photo_max_h']) {
			$serror = 4; $_SESSION['sr4'] = $serror;
			unlink($target_dir.$video_img);
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} else {
	$video_thmb1 = image_exists($target_dir, $img_name."_t1.$img_ext");
		if(image_exists($target_dir, $img_name."_t1.$img_ext")) {
		$video_thmb1 = "pic_".$ran1."_".$ran2."_t1".$img_ext; } else {
	$video_thmb1 = "pic".$ran1."_".$ran2."_t1".$img_ext; }
	createthumbnail($imagefile[2], $target_dir.$video_img, $target_dir.$video_thmb1, $settings['thumb_w'], $settings['thumb_h']);
			if ($imagefile[0] > $settings['photo_w'] || $imagefile[1] > $settings['photo_h']) {
				$video_thmb2 = image_exists($target_dir, $img_name."_t2".$img_ext);
				createthumbnail($imagefile[2], $target_dir.$video_img, $target_dir.$video_thmb2, $settings['photo_w'], $settings['photo_h']);
			}
		}
	}
}
// end video image upload
$result = dbquery("INSERT INTO ".DB_MM_VIDEO." VALUES('', '$cat', '$video_title', '$video_desc', '$video_artist', '$video_user', '$video_user_id', '$video_img', '$video_thmb1', '$video_thmb2', '$video_file', '$video_ytcode', '$video_vmcode', '$video_type', '".time()."', '$video_status', '', '$last_order', '$video_allow_comments', '$video_allow_ratings')");
	redirect(INFUSIONS."multimedia_studio/saved_vimeo.php");
}
	echo "
	<table border='0' cellspacing='2' cellpadding='3' width='100%'>
	<tr><td>";
		menu_V();
	echo "
	</td></tr>
	<tr><td colspan='2'></td></tr>
	<tr><td class='small' colspan='2'><br /><br /></td></tr>";
	echo "<tr><td colspan='2'><hr /></td></tr>
	<tr><td colspan='2'><b>".$locale['mms_601b']."</b></td></tr>
	<tr><td colspan='2'></td></tr>";
	if (iMEMBER)
	{
	$result=dbquery("SELECT * FROM ".DB_MM_VIDEO." WHERE video_user_id = '".$userdata['user_id']."'");
	$num_rows = mysql_num_rows($result);
		$result1=dbquery("SELECT video_uploads FROM ".DB_MM_STUDIO_SETTINGS."");
		$data = dbarray($result1);
		$uploads = $data['video_uploads'];
	if ($num_rows == $uploads) {
		echo "<tr><td><div align='center'>".$locale['mms_904']."</div></td></tr>\n";
		echo "</table>\n";
		closetable();
		require_once THEMES."templates/footer.php";
		} else {
		echo "<tr><td>".$locale['mms_602b']."<b>".$userdata['user_name']."</b>,".$locale['mms_603b']."</td></tr>
		<tr><td></td></tr>
		<tr><td>
    			<table align='center'>
			<tr><td style='text-align: center;' colspan='2'><span class='tbl1'>&nbsp;".$locale['mms_604b']."&nbsp;</span><br /><br /></td></tr>
			<tr><td colspan='2' class='hline'></td></tr>
			<form enctype='multipart/form-data' name='post_video' method='post' action='".FUSION_SELF."'>
			<tr><td>".$locale['mms_050']."</td>
			<td><select class='textbox' name='cat' style='width:293px;'>";
				echo "<option value=''>".$locale['mms_048']."</option>\n";
			$result = dbquery("SELECT video_cat_id, video_cat_title, video_parentid FROM ".DB_MM_VIDEO_CATS." WHERE video_cat_status='1' ORDER BY video_parentid, video_cat_title");
			while(list($video_cat_id2, $video_cat_title2, $video_parentid2) = dbarraynum($result)) 
			{
				if ($video_parentid2!=0) $video_cat_title2=getparent_V($video_parentid2,$video_cat_title2);
				echo "<option value='$video_cat_id2'>$video_cat_title2</option>\n";
			}		
		echo "</select>
		</td></tr>";
			$result = dbquery("SELECT video_txt FROM ".DB_MM_STUDIO_SETTINGS."");
			$data = dbarray($result);
			$video_txt = $data['video_txt'];
		echo "<tr><td>".$locale['mms_605']."</td>
		<td><input class='textbox' type='text' name='video_title' maxlength='200' style='width:290px;' /></td></tr>
		<tr><td>".$locale['mms_606']."</td>
		<td><input class='textbox' type='text' name='video_artist' maxlength='200' style='width:290px;' /></td></tr>
   		<tr><td valign='top'>".$locale['mms_607']."</td>
		       <td><textarea class='textbox' name='video_desc' cols='61' rows='6' wrap='hard'></textarea>\n";
			require_once INCLUDES."bbcode_include.php";
			echo display_bbcodes("350px", "video_desc", "post_video", "smiley|b|i|u|center|small|url|mail|img|quote|color");
			echo "</td></tr>";
    			echo "<tr><td></td><td>".$locale['mms_608']."$video_txt".$locale['mms_609']."</td></tr>
			<tr><td colspan='2' class='hline'></td></tr>";
			echo "<tr><td>".$locale['mms_611b']."</td><td>
			<input class='textbox' type='text' name='video_vmcode' maxlength='50' style='width:150px;' /></td></tr>";
			echo "<tr><td colspan='2' class='sml-alb2'><br />".$locale['mms_139']."</td></tr>";
			echo "<tr><td colspan='2' height='10'></td></tr>";
			echo "<tr><td>".$locale['mms_040']."</td><td>
			<input id='video_pic' class='textbox' type='file' name='video_pic' maxlength='200' style='width:290px;' /></td></tr>";
			echo "<tr><td></td><td>".$locale['mms_070']."".$settings['photo_max_b']."".$locale['mms_115']."<br /></td></tr>";
			echo "<tr><td colspan='2' height='20'></td></tr>";
    			echo "<tr><td colspan='2' align='center'>
		<input type='hidden' name='video_user' value='".$userdata['user_name']."' />
		<input type='hidden' name='video_user_id' value='".$userdata['user_id']."' />
		<input type='hidden' name='video_file' value='' />
		<input type='hidden' name='video_ytcode' value='' />
		<input type='hidden' name='video_type' value='2' />
		<input type='hidden' name='video_status' value='1' />
		<input type='hidden' name='video_comments' value='1' />
		<input type='hidden' name='video_ratings' value='1' />
		<input class='button' type='submit' name='save_video' value='".$locale['mms_610']."' />
		</td></tr>
		</form>
		</table>
		</td></tr>";
		}
	} else {
		echo "<tr><td><p>".$locale['mms_614']."</td></tr>";
	}
echo "</table>";
closetable();

require_once THEMES."templates/footer.php";
?>
