<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: video_gallery.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
global $settings;
$error="";

if (isset($video_id) && !isNum($video_id)) redirect(FUSION_SELF);
if (isset($video_cat_id) && !isNum($video_cat_id)) redirect(FUSION_SELF);
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if (isset($_GET['video_id']) && isnum($_GET['video_id'])){

	$result = dbquery(
		"SELECT tp.*, ta.*, tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
		FROM ".DB_MM_VIDEO." tp
		LEFT JOIN ".DB_MM_VIDEO_CATS." ta USING (video_cat_id)
		LEFT JOIN ".DB_USERS." tu ON tp.video_user_id = tu.user_id AND tp.video_user = tu.user_name
		LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.video_id AND tr.rating_type='J'
		WHERE video_id='".$_GET['video_id']."' GROUP BY tp.video_id");

	$data = dbarray($result);
	if (!checkgroup($data['video_cat_access'])) {
		redirect(FUSION_SELF);
	} else {
		$sub_title = getparentlink_V($data['video_parentid'],$data['video_cat_title'],$data['video_cat_id']);
		include INCLUDES."comments_include.php";
		include INCLUDES."ratings_include.php";
		$result=dbquery("UPDATE ".DB_MM_VIDEO." SET video_views=(video_views+1) WHERE video_id='".$_GET['video_id']."'");
		$pres = dbquery("SELECT video_id FROM ".DB_MM_VIDEO." WHERE video_order='".($data['video_order']-1)."' AND video_cat_id='".$data['video_cat_id']."'");
		$nres = dbquery("SELECT video_id FROM ".DB_MM_VIDEO." WHERE video_order='".($data['video_order']+1)."' AND video_cat_id='".$data['video_cat_id']."'");
		if (dbrows($pres)) $prev = dbarray($pres);
		if (dbrows($nres)) $next = dbarray($nres);
add_to_title($locale['global_201'].$data['video_title']);
opentable($locale['mms_633']);
			$video_id = $data['video_id'];
			$video_thmb1 = $data['video_thmb1'];
			$video_thmb2 = $data['video_thmb2'];
			$video_file = $data['video_file'];
			$video_ytcode = $data['video_ytcode'];
			$video_vmcode = $data['video_vmcode'];
			$video_type = $data['video_type'];
			$file_url = $settings['siteurl']."infusions/multimedia_studio/video/$video_file";
			$ext_type = pathinfo($file_url, PATHINFO_EXTENSION);
			$flash_url = $settings['siteurl']."infusions/multimedia_studio/include/flowplayer-3.2.4.swf";
			$controls_url = $settings['siteurl']."infusions/multimedia_studio/include/flowplayer.controls-3.2.2.swf";
		echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td class='tbl2'>\n";
		if (iMEMBER) {
		echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> &gt;\n";
		echo "<a href='".INFUSIONS."multimedia_studio/video_studio.php'>".$locale['mms_624']."</a> &gt;\n";
}
		echo "<a href='".FUSION_SELF."?video_cat_id=".$data['video_cat_id']."'>".$sub_title."</a> &gt;\n";
		echo "<strong>".$data['video_title']." - ".$data['video_artist']."</strong>\n";
	if (iMEMBER) {
	if ($data['video_user_id'] == $data['user_id'] && ($data['video_user'] == $data['user_name'])) {
	echo "<span style='text-align:right;'>&nbsp;---&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/edit_videos.php?video_id=".$_GET['video_id']."&video_cat_id=".$data['video_cat_id']."'>".$locale['mms_640']."</a></span></td>\n";
	}
}
		if ((isset($prev['video_id']) && isnum($prev['video_id'])) || (isset($next['video_id']) && ISnUM($next['video_id']))) {
	if (isset($prev)) { echo "<td width='2%' class='tbl2' valign='middle'><a href='".FUSION_SELF."?video_id=".$prev['video_id']."' title='".$locale['mms_634']."'><img src='images/left.png' width='10' height='10' border='0' alt='".$locale['mms_634']."' /></a></td>\n"; }
	if (isset($next)) { echo "<td width='2%' class='tbl2' valign='middle'><span style='font-size: 12px; font-weight: bold;'>".$locale['mms_071']."</span><nobr><a href='".FUSION_SELF."?video_id=".$next['video_id']."' title='".$locale['mms_635']."'><img src='images/right.png' width='10' height='10' border='0' alt='".$locale['mms_635']."' /></a></td>\n"; }
}
		echo "</tr>\n</table>\n";
		echo "<div align='center' style='margin:5px;'>\n";
echo "<table align='center' width='460' cellspacing='0' cellpadding='3' border='0'><tr>\n";
	if($video_thmb1) { echo "<td align='center'><br />".$locale['mms_646']."".$data['video_title']."<br /><br /></td></tr><tr>\n";
echo "<td align='center'>";
if ($video_type == "0") {
	if ($ext_type == 'flv') {
add_to_head("<script type='text/javascript' src='".INFUSIONS."multimedia_studio/include/flowplayer-3.2.4.min.js'></script>");
echo "<div style='text-align:center;'>
<a 
	href='$file_url' 
	style='display:block;width:450px;height:320px;' 
	id='player'>
</a>
<script language='JavaScript'>
	flowplayer('player', '$flash_url', {
plugins: {			// load one or more plugins
        controls: {			// load the controls plugin
            url: '$controls_url',	// always: where to find the Flash object
            playlist: false,				// now the custom options of the Flash object
            backgroundColor: '#CC0000',
            tooltips: {				// this plugin object exposes a 'tooltips' object
                buttons: true,
                fullscreen: 'Enter Fullscreen mode'
            }
        }
    }
});
</script>
</div>";
} elseif ($ext_type == 'avi') {
echo "<div align='center' style='margin:5px 0px;'>".$locale['mms_649']."<br /><br />
<object id='video' width='400' height='360' border='0' classid='clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA'> 
 <param name='ShowDisplay' value='1'> 
 <param name='ShowControls' value='1'> 
 <param name='AutoStart' value='1'> 
 <param name='AutoRewind' value='0'> 
 <param name='PlayCount' value='1'> 
 <param name='Appearance value='0'> 
 <param name='BorderStyle value='0'> 
 <param name='MovieWindowHeight' value='360'> 
 <param name='MovieWindowWidth' value='400'> 
 <param name='FileName' value='$file_url'> 
 <embed width='400' height='360' border='0' showdisplay='0' showcontrols='1' autostart='1' autorewind='0' playcount='1' moviewindowheight='240' moviewindowwidth='320' filename='$file_url' src='$file_url'> </embed> 
</object>
</div>";
} else {
echo "<div id='mediaspace' align='center' style='margin:5px 0px;'>
<script type='text/javascript' src='".INFUSIONS."multimedia_studio/include/silverlight.js'></script>
<script type='text/javascript'  src='".INFUSIONS."multimedia_studio/include/wmvplayer.js'></script>
<script type='text/javascript'>
 var cnt = document.getElementById('mediaspace');
 var src = '".INFUSIONS."multimedia_studio/include/wmvplayer.xaml';
 var cfg = {height:'320', width:'450', file:'$file_url'};
 var ply = new jeroenwijering.Player(cnt,src,cfg);
</script>
</div>";
	}
echo "<br /><br /></td></tr><tr>\n";
} elseif ($video_type =="1") {
echo "<div align='center'>
<object width='425' height='344'>
<param name='movie' value='http://www.youtube.com/v/$video_ytcode'></param>
<param name='allowFullScreen' value='true'></param>
<param name='allowscriptaccess' value='always'></param>
<embed src='http://www.youtube.com/v/$video_ytcode' type='application/x-shockwave-flash' allowscriptaccess='always' allowfullscreen='true' width='425' height='344'></embed>
</object>
</div>";
echo "<br /><br /></td></tr><tr>\n";
} elseif ($video_type == "2") {
echo "<div align='center'>
<object width='400' height='225'>
<param name='allowfullscreen' value='true' />
<param name='allowscriptaccess' value='always' />
<param name='movie' value='http://vimeo.com/moogaloop.swf?clip_id=$video_vmcode&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=ffffff&amp;fullscreen=1&amp;autoplay=0&amp;loop=0' /><embed src='http://vimeo.com/moogaloop.swf?clip_id=$video_vmcode&amp;server=vimeo.com&amp;show_title=0&amp;show_byline=0&amp;show_portrait=0&amp;color=ffffff&amp;fullscreen=1&amp;autoplay=0&amp;loop=0' type='application/x-shockwave-flash' allowfullscreen='true' allowscriptaccess='always' width='400' height='225'></embed></object>
</div>";
echo "<br /><br /></td></tr><tr>\n";
	}
} else {
echo "<td align='center' class='adpic'><a href='".INFUSIONS."multimedia_studio/video/".$data['video_file']."'>".$data['video_title']."</a></td></tr>";
}
echo "<tr>\n";
	if ($data['video_artist']) {
echo "<td style='text-align:center;' valign='top'><div align='center'><div align='center'>".$locale['mms_606']."".$data['video_artist']."</div><br /><br />\n";
} else {
echo "<td style='text-align:center;' valign='top'><div align='center'><div align='center'>".$locale['mms_086']."</div><br /><br />\n";
}
	if ($data['video_desc']) {
		$video_desc = stripslash($data['video_desc']);
echo "<div style='text-align:left;' class='desc-txt'>";
	echo parseubb(parsesmileys($video_desc), "b|i|u|center|small|url|mail|img|quote|color");
} else {
echo "<div style='text-align:left;' class='desc-txt'>".$locale['mms_087']."\n";
}
echo "</div><br /></td>\n";
echo "</tr></table>\n";

	echo "<table align='center' border='0'><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_626'].showdate("shortdate", $data['video_datestamp'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_627'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	$video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='J' AND comment_item_id='".$data['video_id']."'");
	echo ($video_comments == 1 ? $locale['mms_629'] : $locale['mms_630']).$video_comments."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_631'].($data['count_votes'] > 0 ? str_repeat("<img src='".get_image("star")."' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['mms_632'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_637'].$data['video_views']."\n</td></tr></table>\n";
	echo "<table align='center' border='0' width='100%'><tr>\n";
if (iMEMBER) {
	echo "<td style='text-align:right;' valign='middle' class='tbl1' colspan='2' nowrap>".$locale['mms_132']."<a href ='".INFUSIONS."multimedia_studio/report_video.php?error=1&video_id=".$data['video_id']."' title='".$locale['mms_121']."' style='outline: none;border:none;'><img src='".INFUSIONS."multimedia_studio/images/error.png' alt='".$locale['mms_121']."' style='outline: none;border:none;'></a>
	<a href ='".INFUSIONS."multimedia_studio/report_video.php?error=2&video_id=".$data['video_id']."' title='".$locale['mms_122']."' style='outline: none;border:none;'><img src='".INFUSIONS."multimedia_studio/images/hack.png' alt='".$locale['mms_122']."' style='outline: none;border:none;'></a>
	</td>\n";
	echo "</tr><tr>\n";
	echo "<td class='hline' colspan='2'>\n";
	echo "</tr><tr>\n";
}
	echo "<td style='text-align:left;' class='tbl2' colspan='2'>\n";
	share_this();
	echo "</td></tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_844']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='".$settings['siteurl']."infusions/multimedia_studio/video_gallery.php?video_id=".$_GET['video_id']."&video_cat_id=".$data['video_cat_id']."' class='textbox' style='font-size:9px;width:99%' onclick='javascript:this.select();' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_845']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='[url=".$settings['siteurl']."infusions/multimedia_studio/video_gallery.php?video_id=".$_GET['video_id']."&video_cat_id=".$data['video_cat_id']."]".$data['video_title']."[/url]' class='textbox'  style='font-size:9px;width:99%' onclick='javascript:this.select();' /></td>\n";
	echo "</tr><tr>\n";
	echo "<td style='text-align:left; width:8%;' class='tbl2'>".$locale['mms_846']."&nbsp;</td>\n";
	echo "<td style='text-align:left;' class='tbl1'><input type='text' value='<a href=\"".$settings['siteurl']."infusions/multimedia_studio/video_gallery.php?video_id=".$_GET['video_id']."&video_cat_id=".$data['video_cat_id']."\">".$data['video_title']."</a>' class='textbox'   style='font-size:9px;width:99%' onclick='javascript:this.select();' />\n";
	echo "</td></tr></table>\n";
closetable();
		if ($data['video_allow_comments']) { showcomments("J", DB_MM_VIDEO, "video_id", $_GET['video_id'], FUSION_SELF."?video_id=".$_GET['video_id']); }
		if ($data['video_allow_ratings']) { showratings("J", $_GET['video_id'], FUSION_SELF."?video_id=".$_GET['video_id']); }
	}
} elseif (isset($_GET['video_cat_id']) && isnum($_GET['video_cat_id'])) {

	$result = dbquery(
		"SELECT ta.* FROM ".DB_MM_VIDEO_CATS." ta WHERE video_cat_id='".$_GET['video_cat_id']."'");
	if (!dbrows($result)) {
		redirect(FUSION_SELF);
	} else {
		$data = dbarray($result);
		if (!checkgroup($data['video_cat_access'])) {
			redirect(FUSION_SELF);
		} else {
			$rows = dbcount("(video_id)", DB_MM_VIDEO, "video_cat_id='".$_GET['video_cat_id']."'");
		$sub_title = getparentlink_VID($data['video_parentid'],$data['video_cat_title'],$data['video_cat_id']);
add_to_title($locale['global_201'].$data['video_cat_title']);
opentable($locale['mms_617']);
	echo "<!--pre_album_info-->";
	echo "<table cellpadding='0' cellspacing='0' width='70%'>\n<tr>\n";
	echo "<td rowspan='4' align='center' class='my-null photogallery_album_thumb'><!--photogallery_album_thumb-->";
		if ($data['video_cat_img'] && file_exists(INFUSIONS."multimedia_studio/images/cats/".$data['video_cat_img'])) {
			echo "<img src='".INFUSIONS."multimedia_studio/images/cats/".$data['video_cat_img']."' width='90' alt='".$data['video_cat_img']."' /></td>\n";
		} else {
			echo "</td>\n";
		}
	echo "<td valign='top' width='100%'><div class='tbl2' style='font-weight:bold;vertical-align:top'>".$locale['mms_054']."".$sub_title."</div>\n";
		if ($data['video_cat_desc'] =="") {
	echo "<div class='tbl1' style='vertical-align:middle'>".$locale['mms_607']."".$locale['mms_607a']."</div>\n</td>\n</tr>\n";
	} else {
	echo "<div class='tbl1' style='vertical-align:middle'>".$locale['mms_607']."".nl2br(parseubb($data['video_cat_desc']))."</div>\n</td>\n</tr>\n";
	}
	echo "<td valign='top' width='100%'><div class='tbl1' style='font-weight:normal;vertical-align:top'>\n";
	echo $locale['mms_639'].showdate("shortdate", $data['video_cat_datestamp'])."</div></td></tr>\n";
	echo "<tr>\n<td valign='bottom' width='100%'>\n<div class='tbl2' style='vertical-align:bottom'>\n";
	if ($rows) {
		$pdata = dbarray(dbquery("
			SELECT tp.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_MM_VIDEO." tp
			LEFT JOIN ".DB_USERS." tu ON tp.video_user=tu.user_name
			WHERE video_cat_id='".$_GET['video_cat_id']."' ORDER BY video_datestamp DESC LIMIT 1"));

	echo $locale['mms_619']."$rows<br />\n";
	echo $locale['mms_620'].profile_link($pdata['user_id'], $pdata['user_name'], $pdata['user_status']).$locale['mms_621'].showdate("longdate", $pdata['video_datestamp'])."\n";
	} else {
		echo $locale['mms_622']."\n";
	echo "</div>\n</td>\n</tr>\n";
	echo "<tr>\n<td valign='bottom' width='100%' colspan='2'>\n<div class='tbl1' style='vertical-align:bottom'>\n";
	if (iMEMBER) {
	echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> ::\n";
	echo "<a href='".INFUSIONS."multimedia_studio/video_studio.php'>".$locale['mms_624']."</a>\n";
	}
}
echo "</div>\n</td>\n</tr>\n</table>";
closetable();
	if ($rows) {
opentable($locale['mms_623']);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

		$result = dbquery(
			"SELECT tp.*, tu.user_id, tu.user_name, tu.user_status, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes
			FROM ".DB_MM_VIDEO." tp
			LEFT JOIN ".DB_USERS." tu ON tp.video_user_id = tu.user_id AND tp.video_user = tu.user_name
			LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id = tp.video_id AND tr.rating_type='J'
			WHERE video_cat_id='".$_GET['video_cat_id']."' GROUP BY video_id ORDER BY video_datestamp LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']);

	$counter = 0;
	echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n<td class='tbl2'>\n";
	if (iMEMBER) {
	echo "<a href='".INFUSIONS."multimedia_studio/multimedia_studio.php'>".$locale['mms_021']."</a> &gt;\n";
	echo "<a href='".INFUSIONS."multimedia_studio/video_studio.php'>".$locale['mms_624']."</a> &gt;\n";
	}
	echo "<a href='".FUSION_SELF."?video_cat_id=".$data['video_cat_id']."'>".$sub_title."</a>\n";
	if (iMEMBER && ($data['video_user'] = $userdata['user_name'])) {
	echo "<span style='text-align:right;'>&nbsp;---&nbsp;&nbsp;<a href='".INFUSIONS."multimedia_studio/my_videos.php?video_cat_id-$video_cat_id'>".$locale['mms_795']."</a></span>\n";
	}
echo "</td>\n</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
	while ($data = dbarray($result)) {
		if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n";
		}
	echo "<td align='center' valign='top' class='tbl'>\n";
	echo "<strong>".$data['video_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?video_id=".$data['video_id']."'>";
	if ($data['video_thmb1'] && file_exists(INFUSIONS."multimedia_studio/images/video/".$data['video_thmb1'])) {
		echo "<img src='".INFUSIONS."multimedia_studio/images/video/".$data['video_thmb1']."' alt='".$data['video_thmb1']."' title='".$locale['mms_625']."' style='border:0px' />";
		} else {
			echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />";
		}
	echo "</a><br /><br />\n<span class='small'>\n";
	echo "<table align='center' border='0'><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_626'].showdate("shortdate", $data['video_datestamp'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_627'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	$video_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='J' AND comment_item_id='".$data['video_id']."'");
	echo ($video_comments == 1 ? $locale['mms_629'] : $locale['mms_630']).$video_comments."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_631'].($data['count_votes'] > 0 ? str_repeat("<img src='".IMAGES."star.gif' alt='*' style='vertical-align:middle' />", ceil($data['sum_rating'] / $data['count_votes'])) : $locale['mms_632'])."</td></tr><tr>\n";
	echo "<td style='text-align:left;'>\n";
	echo $locale['mms_628'].$data['video_views']."</td></tr></table></span><br />\n";
	echo "</td>\n";
	$counter++;
}
echo "</tr>\n</table>\n";
	if ($rows > $settings['thumbs_per_page']) { echo "<hr /><div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3, FUSION_SELF."?video_cat_id=".$_GET['video_cat_id']."&amp;")."\n</div>\n";
}
closetable();
			}
		}
	}
} else {
opentable($locale['mms_624']);
	$rows = dbcount("(video_cat_id)", DB_MM_VIDEO_CATS, groupaccess('video_cat_access'));
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows) {
		$result = dbquery(
			"SELECT ta.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_MM_VIDEO_CATS." ta
			LEFT JOIN ".DB_USERS." tu ON ta.video_cat_user=tu.user_name
			WHERE ".groupaccess('video_cat_access')." ORDER BY video_cat_datestamp
			LIMIT ".$_GET['rowstart'].",".$settings['thumbs_per_page']);

		$counter = 0; $r = 0; $k = 1;
		echo "<table cellpadding='0' cellspacing='1' width='100%'>\n<tr>\n";
		while ($data = dbarray($result)) {
			if ($counter != 0 && ($counter % $settings['thumbs_per_row'] == 0)) { echo "</tr>\n<tr>\n";
			}
			echo "<td align='center' valign='top' class='tbl'>\n";
			echo "<strong>".$data['video_cat_title']."</strong><br /><br />\n<a href='".FUSION_SELF."?video_cat_id=".$data['video_cat_id']."'>";
			if ($data['video_thmb1'] && file_exists(INFUSIONS."multimedia_studio/music/".$data['video_thmb1'])) {
				echo "<img src='".INFUSIONS."multimedia_studio/images/video/".$data['video_thmb1']."' alt='".$data['video_thmb1']."' title='".$locale['mms_625']."' style='border:0px' />";
			} else {
				echo $locale['mms_618'];
			}
			echo "</a><br /><br />\n<span class='small'>\n";
			echo $locale['mms_626'].showdate("shortdate", $data['video_datestamp'])."<br />\n";
			echo $locale['mms_627'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."<br />\n";
			echo $locale['mms_628'].dbcount("(video_id)", DB_MM_VIDEO, "video_cat_id='".$data['video_cat_id']."'")."</span><br />\n";
			echo "</td>\n";
			$counter++; $k++;
		}
echo "</tr>\n</table>\n";
closetable();
	if ($rows > $settings['thumbs_per_page']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $settings['thumbs_per_page'], $rows, 3)."\n</div>\n"; }
	}else{
	echo "<div style='text-align:center'><br />".$locale['mms_638']."<br /><br /></div>\n";
closetable();
	}
}
require_once THEMES."templates/footer.php";
?>