<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Version: 2.01 for PHP-Fusion ver7
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}

include INFUSIONS."multimedia_studio/infusion_db.php";

// Infusion Information
$inf_title = $locale['mms_title'];
$inf_description = $locale['mms_desc'];
$inf_version = "2.01";
$inf_developer = "Terry Broullette(Grimloch)";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "http://www.whisperwillow.com";

$inf_folder = "multimedia_studio";

$inf_newtable[1] = DB_MM_MUSIC." (
mus_id int(11) unsigned not null auto_increment,
mus_cat_id int(11) unsigned not null default '0',
mus_title varchar(80) not null default '',
mus_desc text not null,
mus_artist varchar(80) not null default '',
mus_user varchar(80) not null default '',
mus_user_id smallint(5) unsigned not null default '0',
mus_img varchar(80) not null default '',
mus_thmb1 varchar(80) not null default '',
mus_thmb2 varchar(80) not null default '',
mus_file varchar(80) not null default '',
mus_datestamp int(10) unsigned not null default '0',
mus_status enum('0','1') not null default '1',
mus_views smallint(5) unsigned not null default '0',
mus_order smallint(5) unsigned not null default '0',
mus_allow_comments tinyint(1) unsigned not null default '1',
mus_allow_ratings tinyint(1) unsigned not null default '1',
PRIMARY KEY (mus_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_MM_MUSIC_CATS." (
mus_cat_id int(11) unsigned not null auto_increment,
mus_cat_title varchar(80) not null default '',
mus_cat_desc text not null,
mus_cat_user smallint(5) unsigned not null default '1',
mus_cat_img varchar(80) not null default '',
mus_cat_access smallint(5) unsigned not null default '0',
mus_cat_subs enum('0','1') not null default '0',
mus_parentid int(11) unsigned not null default '0',
mus_parent_title varchar(80) not null default '',
mus_cat_datestamp int(10) unsigned not null default '0',
mus_cat_status enum('0','1') not null default '0',
PRIMARY KEY (mus_cat_id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_MM_PHOTO." (
photo_id int(11) unsigned not null auto_increment,
photo_cat_id int(11) unsigned not null default '0',
photo_title varchar(80) not null default '',
photo_desc text not null,
photo_artist varchar(80) not null default '',
photo_user varchar(80) not null default '',
photo_user_id smallint(5) unsigned not null default '0',
photo_img varchar(80) not null default '',
photo_thmb1 varchar(80) not null default '',
photo_thmb2 varchar(80) not null default '',
photo_datestamp int(10) unsigned not null default '0',
photo_status enum('0','1') not null default '1',
photo_views smallint(5) unsigned not null default '0',
photo_order smallint(5) unsigned not null default '0',
photo_allow_comments tinyint(1) unsigned not null default '1',
photo_allow_ratings tinyint(1) unsigned not null default '1',
PRIMARY KEY (photo_id)
) TYPE=MyISAM;";

$inf_newtable[4] = DB_MM_PHOTO_CATS." (
photo_cat_id int(11) unsigned not null auto_increment,
photo_cat_title varchar(80) not null default '',
photo_cat_desc text not null,
photo_cat_user smallint(5) unsigned not null default '1',
photo_cat_img varchar(80) not null default '',
photo_cat_access smallint(5) unsigned not null default '0',
photo_cat_subs enum('0','1') not null default '0',
photo_parentid int(11) unsigned not null default '0',
photo_parent_title varchar(80) not null default '',
photo_cat_datestamp int(10) unsigned not null default '0',
photo_cat_status enum('0','1') not null default '0',
PRIMARY KEY (photo_cat_id)
) TYPE=MyISAM;";

$inf_newtable[5] = DB_MM_VIDEO." (
video_id int(11) unsigned not null auto_increment,
video_cat_id int(11) unsigned not null default '0',
video_title varchar(80) not null default '',
video_desc text not null,
video_artist varchar(80) not null default '',
video_user varchar(80) not null default '',
video_user_id smallint(5) unsigned not null default '0',
video_img varchar(80) not null default '',
video_thmb1 varchar(80) not null default '',
video_thmb2 varchar(80) not null default '',
video_file varchar(80) not null default '',
video_ytcode varchar(30) not null default '',
video_vmcode varchar(30) not null default '',
video_type enum('0','1','2') not null default '0',
video_datestamp int(10) unsigned not null default '0',
video_status enum('0','1') not null default '1',
video_views smallint(5) unsigned not null default '0',
video_order smallint(5) unsigned not null default '0',
video_allow_comments tinyint(1) unsigned not null default '1',
video_allow_ratings tinyint(1) unsigned not null default '1',
PRIMARY KEY (video_id)
) TYPE=MyISAM;";

$inf_newtable[6] = DB_MM_VIDEO_CATS." (
video_cat_id int(11) unsigned not null auto_increment,
video_cat_title varchar(80) not null default '',
video_cat_desc text not null,
video_cat_user smallint(5) unsigned not null default '1',
video_cat_img varchar(80) not null default '',
video_cat_access smallint(5) unsigned not null default '0',
video_cat_subs enum('0','1') not null default '0',
video_parentid int(11) unsigned not null default '0',
video_parent_title varchar(80) not null default '',
video_cat_datestamp int(10) unsigned not null default '0',
video_cat_status enum('0','1') not null default '0',
PRIMARY KEY (video_cat_id)
) TYPE=MyISAM;";

$inf_newtable[7] = DB_MM_STUDIO_SETTINGS." (
id int(11) unsigned not null auto_increment,
music_txt smallint(5) unsigned not null default '0',
photo_txt smallint(5) unsigned not null default '0',
video_txt smallint(5) unsigned not null default '0',
music_rpt smallint(5) unsigned not null default '0',
photo_rpt smallint(5) unsigned not null default '0',
video_rpt smallint(5) unsigned not null default '0',
music_uploads smallint(5) unsigned not null default '0',
photo_uploads smallint(5) unsigned not null default '0',
video_uploads smallint(5) unsigned not null default '0',
sho_mus enum('0','1') not null default '1',
sho_pic enum('0','1') not null default '1',
sho_vid enum('0','1') not null default '1',
sho_ytv enum('0','1') not null default '1',
PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable[8] = DB_MM_MUSIC_REPORTS." (
rpt_id smallint(5) unsigned not null auto_increment,
rpt_mus_id smallint(5) unsigned not null default '0',
rpt_mus_title varchar(80) not null default '',
rpt_mus_artist varchar(80) not null default '',
rpt_mus_poster varchar(80) not null default '',
rpt_mus_user varchar(80) not null default '',
rpt_mus_user_id smallint(5) unsigned not null default '0',
rpt_mus_report text not null,
rpt_type tinyint(1) unsigned not null default '0',
rpt_mus_date  text not null,
rpt_datestamp int(10) unsigned not null default '0',
PRIMARY KEY (rpt_id)
) TYPE=MyISAM;";

$inf_newtable[9] = DB_MM_PHOTO_REPORTS." (
rpt_id smallint(5) unsigned not null auto_increment,
rpt_photo_id smallint(5) unsigned not null default '0',
rpt_photo_title varchar(80) not null default '',
rpt_photo_artist varchar(80) not null default '',
rpt_photo_poster varchar(80) not null default '',
rpt_photo_user varchar(80) not null default '',
rpt_photo_user_id smallint(5) unsigned not null default '0',
rpt_photo_report text not null,
rpt_type tinyint(1) unsigned not null default '0',
rpt_pic_date  text not null,
rpt_datestamp int(10) unsigned not null default '0',
PRIMARY KEY (rpt_id)
) TYPE=MyISAM;";

$inf_newtable[10] = DB_MM_VIDEO_REPORTS." (
rpt_id smallint(5) unsigned not null auto_increment,
rpt_video_id smallint(5) unsigned not null default '0',
rpt_video_title varchar(80) not null default '',
rpt_video_artist varchar(80) not null default '',
rpt_video_poster varchar(80) not null default '',
rpt_video_user varchar(80) not null default '',
rpt_video_user_id smallint(5) unsigned not null default '0',
rpt_video_report text not null,
rpt_type tinyint(1) unsigned not null default '0',
rpt_vid_date  text not null,
rpt_datestamp int(10) unsigned not null default '0',
PRIMARY KEY (rpt_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_MM_MUSIC;
$inf_droptable[2] = DB_MM_MUSIC_CATS;
$inf_droptable[3] = DB_MM_PHOTO;
$inf_droptable[4] = DB_MM_PHOTO_CATS;
$inf_droptable[5] = DB_MM_VIDEO;
$inf_droptable[6] = DB_MM_VIDEO_CATS;
$inf_droptable[7] = DB_MM_STUDIO_SETTINGS;
$inf_droptable[8] = DB_MM_MUSIC_REPORTS;
$inf_droptable[9] = DB_MM_PHOTO_REPORTS;
$inf_droptable[10] = DB_MM_VIDEO_REPORTS;

$inf_insertdbrow[1] = DB_MM_STUDIO_SETTINGS." (music_txt, photo_txt, video_txt, music_rpt, photo_rpt, video_rpt, music_uploads, photo_uploads, video_uploads) VALUES ('500','500','500','500','500','500','10','10','10')";
$inf_insertdbrow[2] = "INF_SETTINGS ( name , value ) VALUES ('mm_music', '1')";
$inf_insertdbrow[3] = "INF_SETTINGS ( name , value ) VALUES ('mm_music_cats', '1')";
$inf_insertdbrow[4] = "INF_SETTINGS ( name , value ) VALUES ('mm_music_allow_comments', '1')";
$inf_insertdbrow[5] = "INF_SETTINGS ( name , value ) VALUES ('mm_music_allow_vote', '1')";
$inf_insertdbrow[6] = "INF_SETTINGS ( name , value ) VALUES ('mm_photo', '1')";
$inf_insertdbrow[7] = "INF_SETTINGS ( name , value ) VALUES ('mm_photo_cats', '1')";
$inf_insertdbrow[8] = "INF_SETTINGS ( name , value ) VALUES ('mm_photo_allow_comments', '1')";
$inf_insertdbrow[9] = "INF_SETTINGS ( name , value ) VALUES ('mm_photo_allow_vote', '1')";
$inf_insertdbrow[10] = "INF_SETTINGS ( name , value ) VALUES ('mm_video', '1')";
$inf_insertdbrow[11] = "INF_SETTINGS ( name , value ) VALUES ('mm_video_cats', '1')";
$inf_insertdbrow[12] = "INF_SETTINGS ( name , value ) VALUES ('mm_video_allow_comments', '1')";
$inf_insertdbrow[13] = "INF_SETTINGS ( name , value ) VALUES ('mm_video_allow_vote', '1')";


$inf_deldbrow[1] = "INF_SETTINGS WHERE `name`  = 'mm_music' LIMIT 1;";
$inf_deldbrow[2] = "INF_SETTINGS WHERE `name`  = 'mm_music_cats' LIMIT 1;";
$inf_deldbrow[3] = "INF_SETTINGS WHERE `name`  = 'mm_music_allow_comments' LIMIT 1;";
$inf_deldbrow[4] = "INF_SETTINGS WHERE `name`  = 'mm_music_allow_vote' LIMIT 1;";
$inf_deldbrow[5] = "INF_SETTINGS WHERE `name`  = 'mm_photo' LIMIT 1;";
$inf_deldbrow[6] = "INF_SETTINGS WHERE `name`  = 'mm_photo_cats' LIMIT 1;";
$inf_deldbrow[7] = "INF_SETTINGS WHERE `name`  = 'mm_photo_allow_comments' LIMIT 1;";
$inf_deldbrow[8] = "INF_SETTINGS WHERE `name`  = 'mm_photo_allow_vote' LIMIT 1;";
$inf_deldbrow[9] = "INF_SETTINGS WHERE `name`  = 'mm_video' LIMIT 1;";
$inf_deldbrow[10] = "INF_SETTINGS WHERE `name`  = 'mm_video_cats' LIMIT 1;";
$inf_deldbrow[11] = "INF_SETTINGS WHERE `name`  = 'mm_video_allow_comments' LIMIT 1;";
$inf_deldbrow[12] = "INF_SETTINGS WHERE `name`  = 'mm_video_allow_vote' LIMIT 1;";

if (isset($_GET['defuse']) && isnum($_GET['defuse'])) {
$result = dbquery(" DELETE FROM ".DB_COMMENTS." WHERE comment_type = 'H'");
$result = dbquery(" DELETE FROM ".DB_COMMENTS." WHERE comment_type = 'J'");
$result = dbquery(" DELETE FROM ".DB_COMMENTS." WHERE comment_type = 'K'");
$result = dbquery(" DELETE FROM ".DB_RATINGS." WHERE rating_type = 'H'");
$result = dbquery(" DELETE FROM ".DB_RATINGS." WHERE rating_type = 'J'");
$result = dbquery(" DELETE FROM ".DB_RATINGS." WHERE rating_type = 'K'");
}

$inf_adminpanel[1] = array(
	"title" => $locale['mms_admin'],
	"image" => "multimedia-studio.png",
	"panel" => "admin/multimedia_admin_menu.php",
	"rights" => "MMS"
);
$inf_sitelink[1] = array(
	"title" => $locale['mms_link'],
	"url" => "multimedia_studio.php",
	"visibility" => "101"
);
?>