<?php
session_start();
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: post_photo.php
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agplv3.htm. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."multimedia_studio/locale/English.php";
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
include INCLUDES."photo_functions_include.php";

error_reporting(E_ALL ^ E_NOTICE);
define("SAFEMODE", @ini_get("safe_mode") ? true : false);
if (!iMEMBER) { redirect("../../index.php"); }

global $locale, $db_prefix, $userdata, $settings, $photo_txt, $cat, $photo_title, $photo_desc, $photo_user, $photo_user_id, $serror;
$serror = "";

opentable($locale['mms_500']);
if(isset($_POST['save_photo'])) {
	$_SESSION['sr1'] = $_POST['cat'];
	$_SESSION['sr2'] = $_POST['photo_title'];
	$_SESSION['sr3'] = $_POST['photo_desc'];

	$cat = stripinput($_POST['cat']);
	$photo_title = stripinput($_POST['photo_title']);
	$photo_desc = stripinput($_POST['photo_desc']);

	// Check if Album exist
	if ($cat=="")
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
	// Check if Title exist
	if ($photo_title=="")
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
		$result = dbquery("SELECT photo_txt FROM ".DB_MM_STUDIO_SETTINGS."");
		$data = dbarray($result);
		$photo_txt = $data['photo_txt'];
	// Check photo_text length
	if (strlen($photo_desc) > $photo_txt)
	{
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	}
	$result = dbquery("SELECT *, MAX(photo_order)+1 as last_order FROM ".DB_MM_PHOTO." WHERE photo_cat_id='".$_POST['cat']."' GROUP BY photo_cat_id");
	if (dbrows($result)) {
		$data = dbarray($result);
		$last_order = $data['last_order'];
	} else {
		$last_order = 1;
	}
	$photo_artist = stripinput($_POST['photo_artist']);
	$photo_status = isset($_POST['photo_status']) ? "1" : "0";
	$photo_allow_comments = isset($_POST['photo_comments']) ? "1" : "0";
	$photo_allow_ratings = isset($_POST['photo_ratings']) ? "1" : "0";
// begin photo image upload
	$photo_img = ""; 
	$photo_thmb1 = ""; $photo_thmb2 = "";
if (is_uploaded_file($_FILES['photo_pic']['tmp_name'])) {
	$image_type = array(".gif",".GIF",".jpg",".JPG",".jpeg",".JPEG",".png",".PNG");
	$source_file = $_FILES['photo_pic'];
	$image_file = str_replace(" ", "_", strtolower(substr($source_file['name'], 0, strrpos($source_file['name'], "."))));
	$img_ext = strtolower(strrchr($source_file['name'],"."));
	$target_dir = INFUSIONS.'multimedia_studio/images/photo/';
		if (!preg_match("/^[-0-9A-Z_\.\[\]]+$/i", $image_file['name'])) {
		$serror = 1; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif ($source_file['size'] > $settings['photo_max_b']){
		$serror = 2; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} elseif (!in_array($img_ext, $image_type)) {
		$serror = 3; $_SESSION['sr4'] = $serror;
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
	} else {
	$ran1 = rand (100, 999); $ran2 = rand(10000, 99999);
	$img_name = "pic".$ran1."_".$ran2;
		if(image_exists($target_dir, $img_name)) {
		$img_name = "pic_".$ran1."_".$ran2; } else {
	$img_name = "pic".$ran1."_".$ran2; }
	$photo_img = image_exists($target_dir, $img_name.$img_ext);
	move_uploaded_file($source_file['tmp_name'], $target_dir.$photo_img);
	$imagefile = @getimagesize($target_dir.$photo_img);
		if ($imagefile[0] > $settings['photo_max_w'] || $imagefile[1] > $settings['photo_max_h']) {
			$serror = 4; $_SESSION['sr4'] = $serror;
			unlink($target_dir.$photo_img);
		redirect(INFUSIONS."multimedia_studio/post_errors.php");
		} else {
	$photo_thmb1 = image_exists($target_dir, $img_name."_t1".$img_ext);
		if(image_exists($target_dir, $img_name."_t1".$img_ext)) {
		$photo_thmb1 = "pic_".$ran1."_".$ran2."_t1".$img_ext; } else {
	$photo_thmb1 = "pic".$ran1."_".$ran2."_t1".$img_ext; }
	createthumbnail($imagefile[2], $target_dir.$photo_img, $target_dir.$photo_thmb1, $settings['thumb_w'], $settings['thumb_h']);
			if ($imagefile[0] > $settings['photo_w'] || $imagefile[1] > $settings['photo_h']) {
				$photo_thmb2 = image_exists($target_dir, $img_name."_t2".$img_ext);
				createthumbnail($imagefile[2], $target_dir.$photo_img, $target_dir.$photo_thmb2, $settings['photo_w'], $settings['photo_h']);
			}
		}
	}
}
// end photo image upload
$result = dbquery("INSERT INTO ".DB_MM_PHOTO." VALUES('', '$cat', '$photo_title', '$photo_desc', '$photo_artist', '$photo_user', '$photo_user_id', '$photo_img', '$photo_thmb1', '$photo_thmb2', '".time()."', '$photo_status', '', '$last_order', '$photo_allow_comments', '$photo_allow_ratings')");
	redirect(INFUSIONS."multimedia_studio/saved_photo.php");
}
	echo "
	<table border='0' cellspacing='2' cellpadding='3' width='100%'>
	<tr><td>";
		menu_P();
	echo "
	</td></tr>
	<tr><td colspan='2'></td></tr>
	<tr><td class='small' colspan='2'><br /><br /></td></tr>";
	echo "<tr><td colspan='2'><hr /></td></tr>
	<tr><td colspan='2'><b>".$locale['mms_501']."</b></td></tr>
	<tr><td colspan='2'></td></tr>";
	if (iMEMBER)
	{
	$result=dbquery("SELECT * FROM ".DB_MM_PHOTO." WHERE photo_user_id = '".$userdata['user_id']."'");
	$num_rows = mysql_num_rows($result);
		$result1=dbquery("SELECT photo_uploads FROM ".DB_MM_STUDIO_SETTINGS."");
		$data = dbarray($result1);
		$uploads = $data['photo_uploads'];
	if ($num_rows == $uploads) {
		echo "<tr><td><div align='center'>".$locale['mms_904']."</div></td></tr>\n";
		echo "</table>\n";
		closetable();
		require_once THEMES."templates/footer.php";
		} else {
		echo "<tr><td>".$locale['mms_502']."<b>".$userdata['user_name']."</b>,".$locale['mms_503']."</td></tr>
		<tr><td></td></tr>
		<tr><td>
    			<table align='center'>
			<tr><td style='text-align: center;' colspan='2'><span class='tbl1'>&nbsp;".$locale['mms_504']."&nbsp;</span><br /><br /></td></tr>
			<tr><td colspan='2' class='hline'></td></tr>
			<form enctype='multipart/form-data' name='post_photo' method='post' action='".FUSION_SELF."'>
			<tr><td>".$locale['mms_050']."</td>
			<td><select class='textbox' name='cat' style='width:293px;'>";
				echo "<option value=''>".$locale['mms_048']."</option>\n";
			$result = dbquery("SELECT photo_cat_id, photo_cat_title, photo_parentid FROM ".DB_MM_PHOTO_CATS." WHERE photo_cat_status='1' ORDER BY photo_parentid, photo_cat_title");
			while(list($photo_cat_id2, $photo_cat_title2, $photo_parentid2) = dbarraynum($result)) 
			{
				if ($photo_parentid2!=0) $photo_cat_title2=getparent_P($photo_parentid2,$photo_cat_title2);
				echo "<option value='$photo_cat_id2'>$photo_cat_title2</option>\n";
			}		
		echo "</select>
		</td></tr>";
			$result = dbquery("SELECT photo_txt FROM ".DB_MM_STUDIO_SETTINGS."");
			$data = dbarray($result);
			$photo_txt = $data['photo_txt'];
		echo "<tr><td>".$locale['mms_505']."</td>
		<td><input class='textbox' type='text' name='photo_title' maxlength='200' style='width:290px;' /></td></tr>
		<tr><td>".$locale['mms_506']."</td>
		<td><input class='textbox' type='text' name='photo_artist' maxlength='200' style='width:290px;' /></td></tr>
   		<tr><td valign='top'>".$locale['mms_507']."</td>
		       <td><textarea class='textbox' name='photo_desc' cols='61' rows='6' wrap='hard'></textarea>\n";
			require_once INCLUDES."bbcode_include.php";
			echo display_bbcodes("350px", "photo_desc", "post_photo", "smiley|b|i|u|center|small|url|mail|img|quote|color");
			echo "</td></tr>";
    			echo "<tr><td>&nbsp;</td><td>".$locale['mms_508']."$photo_txt".$locale['mms_509']."</td></tr>
			<tr><td colspan='2' class='hline'></td></tr>";
			echo "<tr><td>".$locale['mms_040']."</td><td>
			<input id='photo_pic' class='textbox' type='file' name='photo_pic' maxlength='200' style='width:290px;' /></td></tr>";
			echo "<tr><td></td><td>".$locale['mms_070']."".$settings['photo_max_b']."".$locale['mms_115']."<br />".$locale['mms_549']."<br /></td></tr>";
			echo "<tr><td colspan='2' height='20'></td></tr>";
    			echo "<tr><td colspan='2' align='center'>
		<input type='hidden' name='photo_user' value='".$userdata['user_name']."' />
		<input type='hidden' name='photo_user_id' value='".$userdata['user_id']."' />
		<input type='hidden' name='photo_status' value='1' />
		<input type='hidden' name='photo_comments' value='1' />
		<input type='hidden' name='photo_ratings' value='1' />
		<input class='button' type='submit' name='save_photo' value='".$locale['mms_510']."' />
		</td></tr>
		</form>
		</table>
		</td></tr>";
		}
	} else {
		echo "
		<tr>
			<td>
			<p>".$locale['mms_514']."</td>
		</tr>";
	}
echo "</table>";
closetable();

require_once THEMES."templates/footer.php";
?>
