<?php
/*---------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Filename: multimedia_studio_panel.php
| Version: 2.01
| Author: Terry Broullette(Grimloch)
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com/
+----------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agplv3.htm or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."multimedia_studio/infusion_db.php";
include INFUSIONS."multimedia_studio/include/functions_include.php";
// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."multimedia_studio/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."multimedia_studio/locale/English.php";
}
$ratings = isset($_REQUEST['ratings']) ? $_REQUEST['ratings'] : "";
$comments = isset($_REQUEST['comments']) ? $_REQUEST['comments'] : "";

$showresults = dbquery("SELECT sho_mus, sho_pic, sho_vid, sho_ytv FROM ".DB_MM_STUDIO_SETTINGS."");
$data = dbarray($showresults);
	$sho_mus = $data['sho_mus'];
	$sho_pic = $data['sho_pic'];
	$sho_vid = $data['sho_vid'];
	$sho_ytv = $data['sho_ytv'];

$mu = "0"; $ph = "0"; $vi = "0"; $ym = "0";
opentable($locale['mms_801']);
echo" <table border='0' width='100%' cellpadding='0' cellspacing='0' class='small'>\n";
if ($sho_mus == "1") {
$result = dbquery("SELECT * FROM ".DB_MM_MUSIC." ORDER BY rand() DESC LIMIT 0,5");
if (dbrows($result)) {
		$mu ="1";
	echo "<tr><td align='center' colspan='5'><br /><br /><div align='center'><span class='tbl2'>&nbsp;".$locale['mms_802']."&nbsp;</span></div><br /><br /></td>\n";
	echo "</tr><tr>\n";
	while($data = dbarray($result)) {
		$itemdescription = trimlink($data['mus_title'], 25);
	echo "<td width='20%' class='small' align='center' valign='top'><a href='".INFUSIONS."multimedia_studio/music_gallery.php?mus_id=".$data['mus_id']."' title='".$data['mus_title']."' class='side'>";
if ($data['mus_thmb1']) { echo "<img src='".INFUSIONS."multimedia_studio/images/music/".$data['mus_thmb1']."' border='0' width='60' height='60' alt='' />"; } else { echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />"; } echo "<br />$itemdescription</a><br /><br /><table><tr><td align='left' class='sml-alb'>".$locale['mms_024']."".totalrating_M($data['mus_id'])."$ratings</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_025']."".comments_M($data['mus_id'])."$comments</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_026']."".$data['mus_views']."</td></tr></table></td>\n";
	}
	echo "</tr>\n";
} else { echo "\n"; }
}
if ($sho_pic == "1") {
$result = dbquery("SELECT * FROM ".DB_MM_PHOTO." ORDER BY rand() DESC LIMIT 0,5");
if (dbrows($result)) {
		$ph ="1";
	echo "<tr><td align='center' colspan='5'><br /><br /><div align='center'><span class='tbl2'>&nbsp;".$locale['mms_803']."&nbsp;</span></div><br /><br /></td>\n";
	echo "</tr><tr>\n";
	while($data = dbarray($result)) {
		$itemdescription = trimlink($data['photo_title'], 25);
	echo "<td width='20%' class='small' align='center' valign='top'><a href='".INFUSIONS."multimedia_studio/photo_gallery.php?photo_id=".$data['photo_id']."' title='".$data['photo_title']."' class='side'>";
if ($data['photo_thmb1']) { echo "<img src='".INFUSIONS."multimedia_studio/images/photo/".$data['photo_thmb1']."' border='0' width='60' height='60' alt='' />"; } else { echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />"; } echo "<br />$itemdescription</a><br /><br /><table><tr><td align='left' class='sml-alb'>".$locale['mms_024']."".totalrating_P($data['photo_id'])."$ratings</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_025']."".comments_P($data['photo_id'])."$comments</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_026']."".$data['photo_views']."</td></tr></table></td>\n";
	}
	echo "</tr>\n";
} else { echo "\n"; }
}
if ($sho_vid == "1") {
$result = dbquery("SELECT * FROM ".DB_MM_VIDEO." WHERE video_type='0' ORDER BY rand() DESC LIMIT 0,5");
if (dbrows($result)) {
		$vi ="1";
	echo "<tr><td align='center' colspan='5'><br /><br /><div align='center'><span class='tbl2'>&nbsp;".$locale['mms_804']."&nbsp;</span></div><br /><br /></td>\n";
	echo "</tr><tr>\n";
	while($data = dbarray($result)) {
		$itemdescription = trimlink($data['video_title'], 25);
	echo "<td width='20%' class='small' align='center' valign='top'><a href='".INFUSIONS."multimedia_studio/video_gallery.php?video_id=".$data['video_id']."' title='".$data['video_title']."' class='side'>";
if ($data['video_thmb1']) { echo "<img src='".INFUSIONS."multimedia_studio/images/video/".$data['video_thmb1']."' border='0' width='60' height='60' alt='' />"; } else { echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />"; } echo "<br />$itemdescription</a><br /><br /><table><tr><td align='left' class='sml-alb'>".$locale['mms_024']."".totalrating_V($data['video_id'])."$ratings</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_025']."".comments_V($data['video_id'])."$comments</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_026']."".$data['video_views']."</td></tr></table></td>\n"; 
	}
	echo "</tr>\n";
} else { echo "\n"; }
}
if ($sho_ytv == "1") {
$result = dbquery("SELECT * FROM ".DB_MM_VIDEO." WHERE video_type >'0' ORDER BY rand() DESC LIMIT 0,5");
if (dbrows($result)) {
		$ym ="1";
	echo "<tr><td align='center' colspan='5'><br /><br /><div align='center'><span class='tbl2'>&nbsp;".$locale['mms_804a']."&nbsp;</span></div><br /><br /></td>\n";
	echo "</tr><tr>\n";
	while($data = dbarray($result)) {
		$itemdescription = trimlink($data['video_title'], 25);
	echo "<td width='20%' class='small' align='center' valign='top'><a href='".INFUSIONS."multimedia_studio/video_gallery.php?video_id=".$data['video_id']."' title='".$data['video_title']."' class='side'>";
if ($data['video_thmb1']) { echo "<img src='".INFUSIONS."multimedia_studio/images/video/".$data['video_thmb1']."' border='0' width='60' height='60' alt='' />"; } else { echo "<img src='".INFUSIONS."multimedia_studio/images/no_thmb.jpg' border='0' width='60' height='60' alt='' />"; } echo "<br />$itemdescription</a><br /><br /><table><tr><td align='left' class='sml-alb'>".$locale['mms_024']."".totalrating_V($data['video_id'])."$ratings</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_025']."".comments_V($data['video_id'])."$comments</td></tr><tr><td align='left' class='sml-alb'>".$locale['mms_026']."".$data['video_views']."</td></tr></table></td>\n"; 
	}
	echo "</tr>\n";
if($mu =="1" || $ph =="1" || $vi =="1" || $ym =="1") {
	echo "</table>\n";}
	}
} else {     echo "</tr><tr><td align='center' class='my-sml3'>".$locale['mms_027']."<br /></td></tr></table>\n";
}

closetable();
?>